API文档版本切换
Api接口新版本
切换到Api接口新版本
考试/测评、背调、视频面试接入指南 (platform)
Offer API
获取offer自定义字段列表
请求样例
$ curl https://api.mokahr.com/api-platform/v1/offers/custom_fields
返回样例
{
"social": [
{
"id": 496,
"name": "dmj-offer",
"type": 1,
"detail": null,
"hire_mode": 1
},
{
"id": 281,
"name": "子公司",
"type": 6,
"detail": [
"子公司1",
"子公司2",
"子公司3"
],
"hire_mode": 2
},
{
"id": 456,
"name": "offer-校-年月日",
"type": 9,
"detail": null,
"hire_mode": 2
}
],
"campus": [
{
"id": 273,
"name": "时间段4",
"type": 7,
"detail": null,
"hire_mode": 2
},
{
"id": 276,
"name": "单行文本",
"type": 1,
"detail": null,
"hire_mode": 2
},
{
"id": 277,
"name": "家庭住址",
"type": 1,
"detail": null,
"hire_mode": 2
}
]
}
HTTP请求
GET https://api.mokahr.com/api-platform/v1/offers/custom_fields
返回
返回body的JSON数据如下:
| 字段 | 类型 | 描述 |
|---|---|---|
| social | array | 社招自定义字段 |
| social[].id | integer | 自定义字段id |
| social[].name | string | 自定义字段名称 |
| social[].type | integer | 自定义字段类型: 1单行文本,2多行文本,3是否题,4年月选择,6选择题,7时间段,8Offer关联的HC,9日期,10数字 |
| social[].detail | array | 自定义字段选择项 |
| social[].hire_mode | integer | 招聘类型: 1 社招, 2 校招 |
| campus | array | 校招自定义字段 |
| campus[].id | integer | 自定义字段id |
| campus[].name | string | 自定义字段名称 |
| campus[].type | integer | 自定义字段类型: 1单行文本,2多行文本,3是否题,4年月选择,6选择题,7时间段,8Offer关联的HC,9日期,10数字 |
| campus[].detail | array | 自定义字段选择项 |
| campus[].hire_mode | integer | 招聘类型: 1 社招, 2 校招 |
用户API
同步人事信息给Moka系统
Moka 系统中会根据请求的列表对当前系统中的人员进行同步(新增,更新,标记删除)。 同步以用户的邮箱、工号、手机号任意一个为主键,与系统中用户的邮箱、工号、手机号任意一个进行对比: 1、当前系统没有,同步时有:新增一个用户 2、当前系统有,同步时也有:更新已经存在的用户信息。如果同步时有,当前系统职责状态标识为删除,更新后,状态改为正常。
HTTP 请求
POST https://api.mokahr.com/api-platform/v1/users/syncInfo
请求样例 (JSON)
{
"usersInfo": [{
"email": "test@mokahr.com",
"name": "张三",
"phone": "18710000182",
"number": "101",
"role": 10,
"departmentCode": ["888","999"],
"superiorEmail": "superior@mokahr.com",
"deactivated": 0,
"thirdPartyId": "E12345",
"updateDepartment": true,
"updateSuperiorEmail": true,
"autoActivated": 1,
"locale":"en-English"
}]
}
操作成功
{
"success": true
}
操作失败
{
"success": false,
"errorMessage": "错误信息"
}
请求body参数
| 字段 | 必填 | 类型 | 描述 |
|---|---|---|---|
| 是 | string | 邮箱 | |
| name | 是 | string | 姓名 |
| phone | 是 | string | 电话 |
| number | 否 | string | 工号 |
| role | 是 | integer | 角色 可选值: 0:内推人 5:前台 10:面试官 20:用人经理 25:高级用人经理 30:HR 40:管理员 50:超管 当前字段创建时可使用,不支持数据更新,如果更新则去对应的v2接口中。 |
| roleId | 否 | integer | 自定义角色id:当前字段创建时可使用,不支持数据更新,如果更新则去对应的v2接口中 |
| departmentCode | 是 | array | 部门,全部部门传空数组 |
| superiorEmail | 是 | string | 上级邮箱,传空字符串会清空moka系统中的汇报关系,可以通过设置updateSuperiorEmail 参数,选择是否更新汇报关系 |
| deactivated | 是 | integer | 是否被禁用 可选值: 0:可用 1:禁用 |
| thirdPartyId | 是 | string | 功能性字段,用作单点登录,没有传空字符串 |
| updateDepartment | 否 | boolean | !!!注意:不传默认是true 是否更新部门 true:更新false:不更新 |
| updateSuperiorEmail | 否 | boolean | 是否更新上级汇报人 可选值: true:更新 false:不更新 默认true |
| autoActivated | 否 | integer | 是否自动激活,高级经理、HR、管理员和超管角色默认需要发送邮件进行账号激活。 可选值: 0:不自动激活,发邮件给用户手动激活 1:自动激活,系统自动生成默认密码自动进行激活 传空字符串默认为0 |
| locale | 否 | string | 用户语言 可选值: zh-CN:为中文 en-US:英文默认为中文 |
处理
Moka 系统中会根据请求的列表中每个用户的邮箱和工号对当前系统中的用户进行同步(新增,更新)。
可能的错误信息
| errorMessage | 描述 |
|---|---|
| 未开启人事信息同步开关 | |
| 参数格式错误 | 比如:部门必须为数组 |
| 每次最多同步100个用户 | |
| 邮箱和工号不能同时为空 | |
| 角色为整数或者空字符串 | 空字符串默认面试官 |
| 缺少必须参数 | 全部为必须参数 没有传空 |
| 未找到对应的部门信息 | 开启组织架构同步时 未找到任何一个匹配的部门 |
| 该手机号码已被所在公司其他账号使用,请尝试其他号码 | |
| 此邮箱已为其他用户使用 | |
| 此工号已为其他用户使用 | |
| 至少需要一名管理员 | |
| 可用高级用人经理账户数不足 | |
| 可用账户数不足 | |
| 系统错误 | |
| ... |
注意事项
调试请先联系相关负责人开启。 请确认开启组织架构同步,并且已同步过组织架构数据,否则人事部门信息将按照全部门处理 邮箱和工号不能同时为空。 只支持内置角色,角色信息是空或是0默认面试官。 每次同步的用户信息不能大于100个。 同步到某个用户出错时,会停止同步并且报错误。错误信息前会加上(邮箱或者工号)的前缀。并且从报错之前的数据已经同步成功。
候选人API
获取候选人信息
请求样例
curl --location --request GET 'https://api.mokahr.com/api-platform/v1/data/ehrApplications?stage=all&applicationId=333333333' \
--header 'Authorization: Basic TW4xY**********ckpDdnk6' \
--data-raw ''
返回样例
{
"data": [{
"applicationId": 47151744,
"candidateId": 28739723,
"name": "张三",
"phone": null,
"email": "yang111@163.com",
"gender": null,
"birthYear": null,
"birthDate": "2020-03-17T00:00:00.000Z",
"nationality": null,
"experience": null,
"ethnic": null,
"certificateType": null,
"citizenId": null,
"nativePlace": "",
"source": "其它渠道",
"sourceType": 2,
"sourceList": [
{
"name": "其它渠道",
"isBuiltin": true
}, {
"id": 4,
"name": "历史渠道",
"isBuiltin": true
}
],
"academicDegree": null,
"lastSpeciality": "人力资源管理",
"married": null,
"jobCommitment": "全职",
"hireMode": 1,
"departmentCode": null,
"parentDepartmentCode": null,
"resumeKey": null,
"stageName": "沟通offer",
"nativePlaceCode": null,
"nationalityCode": null,
"genderCode": null,
"academicDegreeCode": null,
"ethnicCode": null,
"lastCompany": "郑州***限公司",
"campus_site_id": 1,
"campus_site_name": "哈尔冰佛学院",
"job": {
"title": "test",
"department": "xinjan2",
"departmentCode": null,
"parentDepartmentCode": null,
"departmentPath": "华北地区/二级财务部/产品部/产研部/xinjan2",
"jobId": "39d3d5c9-949e-40d4-8d4b-5cb247d327a8",
"customFields": [
{
"name": "职位-年月",
"value": "2019-01"
}
]
},
"jobManager": {
"name": "test",
"email": "11q1@qq.com",
"phone": "17611232222",
"employeeId": "01"
},
"officeweb365Url": null,
"officeweb365PrintUrl": null,
"resumePdfMeta": null,
"portraitUrl": null,
"resumeUrl": "",
"educationInfo": [{
"id": 34263162,
"startDate": "",
"endDate": "",
"school": null,
"speciality": null,
"academicDegree": null,
"startTime": null,
"endTime": null,
"now": false
}],
"experienceInfo": [{
"id": 76685202,
"startDate": "",
"endDate": "",
"company": null,
"title": null,
"startTime": null,
"endTime": null,
"now": false,
"underlingNumber": "5"
}],
"awardInfo": [{
"awardDate": null,
"awardName": null
}],
"customFields": [{
"name": "单行文本",
"value": "122",
"section": "题型测试",
"index": 0
}, {
"name": "字段呀",
"value": "1333",
"section": "1测试",
"index": 0
}, {
"name": "我叫何为",
"value": "题型0001",
"section": "测试",
"index": 0
}, {
"codes": "",
"name": "T选择",
"value": "A",
"section": "1测试",
"index": 0
}, {
"name": "字段呀",
"value": "133333333",
"section": "1测试",
"index": 0
}, {
"name": "我叫何为",
"value": "题型0002",
"section": "1测试",
"index": 0
}, {
"codes": "",
"name": "T选择",
"value": "B:4",
"section": "1测试",
"index": 0
}, {
"name": "T多文本 ",
"value": "多文本 必填",
"section": "basicInfo"
}, {
"codes": "",
"name": "T确认型",
"value": "Y",
"section": "basicInfo"
}],
"interviewers": [],
"interviewFeedbackUrl": null,
"referrer": {
"name": "杨",
"email": "11111@mokahr.com",
"phone": "15001802222",
"number": "2019"
},
"headcountInfo": [],
"jobRanksInfo": [],
"offer": {
"approvalStatus": "APPROVED",
"salaryNumber": null,
"checkinDate": "2018-09-20T13:00:07.000Z",
"location": "上海市 普陀区 XXXX大学XXXX教室",
"creator": {
"name": "报表_HR",
"email": "mce35@yuoia.com"
},
"finishedAt": null,
"customFields": [{
"name": "合同日期",
"value": "2022"
}, {
"name": "转正日期",
"value": "2018-09-20"
}, {
"name": "自定义 - 据offer后去向",
"value": null
}, {
"name": "测试123",
"value": null
}, {
"name": "自定义offer字段",
"value": null
}, {
"name": "多行",
"value": null
}, {
"name": "222按时",
"value": null
}, {
"name": "1212111111",
"value": null
}],
"hcInfo": null,
"jobRankInfo": null,
"departmentName": "产品创新部",
"departmentCode": 30,
"parentDepartmentCode": 10,
"departmentPath": "产研部/产品创新部",
"offerLastSentAt": "2019-10-29T03:41:07.000Z"
},
"attachments": [
{
"name": "附件1",
"size": 1024,
"url": "https://cdn.mokahr.com/e11d677-4962-4309-b507-2273bf2499c8.pdf?OSSAccessKeyId=BBc12XXIQWCGUAZO&Expires=1505300229&Signature=Vdw6zpNH8HTUnu1FvhSjdXiqK6Q="
}
],
"ehrCandidateExternalLink": "https://cdn.mokahr.com/forward/candidate/info?access_token=93e0eb37-6a5c-4fe4-91db-0579a844fb51"
},
{
"applicationId": 47168265,
"candidateId": 28755998,
"name": "test",
"phone": "17600000000",
"email": "111111@qq.com",
"gender": null,
"birthYear": null,
"nationality": null,
"experience": null,
"ethnic": null,
"citizenId": null,
"nativePlace": "",
"source": "其他",
"sourceType": 2,
"academicDegree": null,
"lastSpeciality": "人力资源管理",
"married": null,
"jobCommitment": "全职",
"hireMode": 1,
"departmentCode": null,
"parentDepartmentCode": null,
"resumeKey": null,
"stageName": "沟通offer",
"nativePlaceCode": null,
"nationalityCode": null,
"genderCode": null,
"academicDegreeCode": null,
"ethnicCode": null,
"lastCompany": null,
"campus_site_id": 0,
"campus_site_name": null,
"job": {
"title": "test",
"department": "xinjan2",
"departmentCode": null,
"parentDepartmentCode": null,
"departmentPath": "华北地区/二级财务部/产品部/产研部/xinjan2",
"jobId": "ea932057-2637-4408-98a2-a3366b4ade14",
"customFields": [
{
"name": "职位-年月",
"value": "2019-01"
}
]
},
"jobManager": {
"name": "test",
"email": "11q1@qq.com",
"phone": "17611232222",
"employeeId": "01"
},
"officeweb365Url": null,
"officeweb365PrintUrl": null,
"resumePdfMeta": null,
"portraitUrl": null,
"resumeUrl": "",
"educationInfo": [],
"experienceInfo": [],
"awardInfo": [],
"customFields": [],
"interviewers": [],
"interviewFeedbackUrl": null,
"referrer": null,
"headcountInfo": [],
"jobRanksInfo": [],
"offer": {
"salaryNumber": 111,
"checkinDate": "2018-09-20T12:58:17.000Z",
"location": "上海市 普陀区 XXXX大学XXXX教室",
"creator": {
"name": "报表_HR",
"email": "mc435@yuoia.com"
},
"finishedAt": null,
"customFields": [{
"name": "合同日期",
"value": "2022-03"
}, {
"name": "转正日期",
"value": "2018-09-20"
}, {
"name": "自定义 - 据offer后去向",
"value": null
}, {
"name": "测试123",
"value": null
}, {
"name": "自定义offer字段",
"value": null
}, {
"name": "多行",
"value": null
}, {
"name": "222按时",
"value": null
}, {
"name": "1212111111",
"value": null
}],
"hcInfo": {
"id": 8,
"number": "005",
"name": "啦啦",
"status": "timeout"
},
"jobRankInfo": {
"level": 3,
"name": "总裁",
"type": null
},
"departmentName": "产品创新部",
"departmentCode": 30,
"parentDepartmentCode": 10,
"departmentPath": "产研部/产品创新部",
"offerLastSentAt": "2019-10-29T03:41:07.000Z"
},
"attachments": [
{
"name": "附件1",
"size": 1024,
"url": "https://cdn.mokahr.com/e11d677-4962-4309-b507-2273bf2499c8.pdf?OSSAccessKeyId=BBc12XXIQWCGUAZO&Expires=1505300229&Signature=Vdw6zpNH8HTUnu1FvhSjdXiqK6Q="
}
],
"examReportLinks": [
{
"name": "考试结果链接",
"url": "https://t.cn/XXXXXX"
}
],
"examAttachments": [
{
"name": "考试结果",
"url": "https://cdn.mokahr.com/1234567-4962-4309-b507-2273bf2499c8.pdf?OSSAccessKeyId=BBc12XXIQWCGUAZO&Expires=1505300229&Signature=Vdw6zpNH8HTUnu1FvhSjdXiqK6Q="
}
],
"ehrCandidateExternalLink": "https://cdn.mokahr.com/forward/candidate/info?access_token=93e0eb37-6a5c-4fe4-91db-0579a844fb51",
"invitationUpdateStatus": 1
}],
"next": "47168265"
}
获取候选人信息
HTTP请求
GET https://api.mokahr.com/api-platform/v1/data/ehrApplications
请求query
| 字段 | 必填 | 类型 | 描述 |
|---|---|---|---|
| applicationId | 否 | string | 候选人申请ID 注意: 1、如有此参数,下面参数均无效;获取多个候选人信息,则用逗号(,)分隔,如:81,82,83 2、applicationId和stage参数必须传其一 |
| stage | 否 | string | offer(offer类型的阶段) 1、pending_checkin(待入职阶段) 2、all(offer类型的阶段与待入职阶段 注:applicationId和stage参数必须传其一,若当前查询stage阶段没有候选人会提示服务器异常 |
| 否 | string | 候选人邮箱 | |
| phone | 否 | string | 候选人手机号 |
| movedAtStartTime | 否 | string | 开始时间(移动到当前阶段的时间) |
| movedAtEndTime | 否 | string | 结束时间(移动到当前阶段的时间) |
| limit | 否 | string | 分页用的每页条数,默认20,最大20 |
| fromTime | 无 | 无 | 此接口无此参数 |
| order | 否 | string | 拉取数据的排序方式,排序key为进入当前阶段的日期.可选值为 DESC 按照从新到旧的顺序拉取,此为默认值 ASC 按照从旧到新的数据拉取 注意:当排序方式为ASC时,无论是否有更多数据,返回body中都会包含next(可用作增量拉取) |
| next | 否 | string | 分页参数,如果有更多的数据可供拉取,响应的json中会有一个next字段,下次请求只需要把这个next参数加到query中就可以了。如果响应中没有next字段,表示没有更多的数据了注意:当排序方式为ASC时,无论是否有更多数据,返回body中都会包含next(可用作增量拉取) |
| invitationUpdateStatus | 否 | integer | 邀请更新状态 0、未邀请 1、未更新 2、已更新 |
返回的data数据
| 字段 | 类型 | 描述 |
|---|---|---|
| candidateId | integer | 候选人在Moka中的唯一id |
| applicationId | integer | 候选人该申请在Moka中的唯一id |
| name | string | 姓名 |
| phone | string | 电话 |
| string | 邮箱 | |
| prefixPhone | string | 国家呼叫代码 |
| gender | string | 性别,以下值之一:男,女 |
| created_at | string | 简历进入系统的时间 |
| birthYear | integer | 出生年份,如1990 |
| birthDate | string | 出生日期 |
| ethnic | string | 民族 |
| certificateType | integer | 证件类型 1:身份证,2:香港身份证,3:澳门身份证,4:台湾身份证,5:护照,6:其他证件 |
| citizenId | string | 证件号码 |
| nationality | string | 国家/地区 |
| nativePlace | string | 籍贯 |
| experience | integer | 工作经验,0表示应届生,-1表示在校生,其他数字表示具体年限 |
| portraitUrl | string | 候选人头像的图片地址,链接有效期为1小时 |
| hireMode | integer | 招聘模式,1: 社招, 2: 校招 |
| finishedAt | string | 职位目标完成时间 |
| source | string | 渠道,如拉勾 |
| sourceList | Array | 渠道分级,数组按照一级渠道、二级渠道、三级渠道的顺序排列 |
| sourceList[].id | integer | 渠道id(第一级渠道不存在id) |
| sourceList[].name | string | 渠道名称 |
| sourceList[].isBuiltin | boolean | 是否系统内置渠道 |
| sourceType | integer | 来源,以下值之一:1,2,3。1代表主动搜索,2代表主动投递,3代表人才推荐。PS:2020-03-16日起不在使用4代表猎头推荐 |
| location | string | 所在地,如北京 |
| lastCompany | string | 最近公司,以下值之一:null无最近公司,xxx任职公司名称 |
| academicDegree | string | 最高学历,以下值之一:本科,硕士,博士,高中,大专,中专,MBA,其他 |
| lastSpeciality | string | 最近毕业专业 |
| married | string | 婚姻状态,以下值之一:'已婚', '未婚', '离异', '丧偶', 'CIVILUNION', 'COHABITATING', 'MARRIED', 'DIVORCED', 'ENGAGED', 'SEPARATED', 'SINGLE', 'WIDOWED' |
| nativePlaceCode | integer | 籍贯编码(籍贯为空时为null,编码详情见附件) |
| nationalityCode | integer | 国籍编码(国籍为空时为null,编码详情见附件) |
| genderCode | integer | 性别编码(性别为空时为null,编码详情见附件) |
| academicDegreeCode | integer | 学历编码(学历为空时为null,编码详情见附件) |
| ethnicCode | integer | 民族编码(民族为空时为null,编码详情见附件) |
| personal | string | 自我描述 |
| salary | string | 当前工资 |
| forwardLocation | string | 期望城市 |
| aimSalary | string | 期望工资 |
| personalInterests | string | 兴趣爱好 |
| political | string | 政治面貌 |
| educationInfo[] | array | 教育经历 |
| educationInfo[].startDate | string | 学校开始时间,最多精确到月。如2010-09, 2008 |
| educationInfo[].endDate | string | 学校结束时间,最多精确到月。如2010-09, 2008 |
| educationInfo[].now | boolean | 结束时间是否表示“至今”。如true。如果为true,则endDate的值将可能为任意值,此时直接忽略endDate即可 |
| educationInfo[].school | string | 学校名称 |
| educationInfo[].speciality | string | 专业名称 |
| educationInfo[].academicDegree | string | 学历,以下值之一:本科,硕士,博士,高中,大专,中专,MBA,其他 |
| experienceInfo[] | array | 工作经历 |
| experienceInfo[].startDate | string | 工作开始时间,最多精确到月。如2010-09, 2008 |
| experienceInfo[].endDate | string | 工作结束时间,最多精确到月。如2010-09, 2008 |
| experienceInfo[].now | boolean | 结束时间是否表示“至今”。如false。如果为true,则endDate的值将可能为任意值,此时直接忽略endDate即可 |
| experienceInfo[].company | string | 公司名称 |
| experienceInfo[].title | string | 职位名称 |
| experienceInfo[].department | string | 部门 |
| experienceInfo[].salary | string | 薪资 |
| experienceInfo[].summary | string | 工作职责 |
| experienceInfo[].reasonForLeaving | string | 离职原因 |
| experienceInfo[].underlingNumber | string | 下属人数 |
| experienceInfo[].type | string | 公司类型 |
| experienceInfo[].size | string | 公司规模 |
| awardInfo[] | array | 获奖经历 |
| awardInfo[].awardDate | datetime | 获奖时间 |
| awardInfo[].awardName | string | 获奖名称 |
| resumeUrl | string | 简历下载链接,HTTP GET请求该URL即可下载简历原文件,此链接有时效性,过期时间为1小时,需要收到请求后尽快下载在服务器保存 |
| job | object | 应聘职位信息 |
| job.jobId | string | 职位ID |
| job.title | string | 职位名称 |
| job.department | string | 职位所在部门 |
| job.departmentPath | string | 职位所在部门的完整路径,从上级到下级,以/分割 |
| job.departmentCode | string | 部门code |
| job.parentDepartmentCode | string | 父级部门code |
| job.competencyType | string | 职能类型 |
| job.jobDescription | string | 工作描述 |
| job.customFields | array | job自定义字段 |
| job.customFields[].name | string | job自定义字段名称 |
| job.customFields[].value | string | job自定义字段值 |
| interviewers[] | array | 参与候选人此次申请的面试官 |
| interviewers[].name | string | 面试官姓名 |
| interviewers[].email | string | 面试官邮箱 |
| interviewers[].phone | string | 面试官电话 |
| interviewers[].id | number | 面试id |
| interviewers[].groupId | string | 面试组id |
| interviewers[].attendStatus | string | 候选人是否接受面试 候选人未反馈, 候选人未到场, 候选人已拒绝, 候选人已接受 |
| interviewers[].cancelReason | string | 面试取消原因 |
| interviewers[].participated | string | 面试反馈分类 面试未进行, 已填写反馈, 未填写反馈 |
| interviewers[].status | string | 面试状态 已取消, 未结束, 已结束 |
| interviewers[].round | integer | 面试轮次,1: 初试,2: 复试,3: 终试 等 |
| interviewers[].roundName | string | 面试轮次名称,初试,复试,终试 等 |
| interviewers[].roundOtherName | object | 面试轮次其它语言的名称 |
| interviewers[].startTime | string | 面试开始时间 |
| interviewers[].createdAt | string | 面试创建时间 |
| interviewers[].locationCountry | string | 面试地点(国家) |
| interviewers[].locationCityId | number | 面试地点(城市id) |
| interviewers[].locationAddress | string | 面试地点(详细地址) |
| interviewers[].result Deprecated | integer | 面试结果 1: 非常不满意, 2: 不满意, 3: 满意, 4: 非常满意 |
| interviewers[].resultName | string | 面试反馈结果 |
| interviewers[].resultType | integer | 面试反馈结果类型 0: 不满意 1: 满意 |
| interviewers[].feedback | string | 面试反馈内容 |
| interviewers[].resultTime | string | 面试反馈填写时间 |
| interviewers[].feedbackTemplateResult | array | 面试评价表的信息 |
| interviewers[].feedbackTemplateResult[].type | number 题目类型, 1: 打分题, 2: 单选题, 3: 描述题, 4: 多选题 |
|
| interviewers[].feedbackTemplateResult[].title | string | 题目标题 |
| interviewers[].feedbackTemplateResult[].description | string | 题目描述 |
| interviewers[].feedbackTemplateResult[].result | number | 总分 |
| interviewers[].feedbackTemplateResult[].calcScoreType | string | avg: 计算平均分, total: 计算总分 (只在type为1时有效) |
| interviewers[].feedbackTemplateResult[].scoreType | number | 5 表示5分制,10 表示10分制(只在type为1时有效) |
| interviewers[].feedbackTemplateResult[].needReason | string | 是否需要打分综述(只在type为1时有效) |
| interviewers[].feedbackTemplateResult[].subjects | array | 题目下各个小题的信息 |
| interviewers[].feedbackTemplateResult[].subjects[].type | number | 题目类型, 1: 打分题, 2: 单选题, 3: 描述题, 4: 多选题 |
| interviewers[].feedbackTemplateResult[].subjects[].title | string | 小题标题 |
| interviewers[].feedbackTemplateResult[].subjects[].description | string | 小题描述 |
| interviewers[].feedbackTemplateResult[].subjects[].result | number | 小题结果:打分题为所选分数的数值;单选题为选项的索引值,从0开始;描述题为描述的字符串题目type=2单选题,返回值为 "result": 0,题目type=4多选题 返回值为"result": [1,2] |
| interviewers[].feedbackTemplateResult[].subjects[].reason | string | 打分综述 |
| interviewers[].feedbackTemplateResult[].subjects[].options | string | 选项字符串数组(只在type为2时有效) |
| data[].interviewInfo[].interviewerFeedbacks[].satisfactionRecord | object | 面试满意度相关信息 |
| data[].interviewInfo[].interviewerFeedbacks[].satisfactionRecord.sendTime | string | 面试满意度评价表发送时间 |
| data[].interviewInfo[].interviewerFeedbacks[].satisfactionRecord.isAnonymous | Boolean | 是否匿名评价 |
| data[].interviewInfo[].interviewerFeedbacks[].satisfactionRecord.content | string | 评价内容,json格式: {"customFields":[{"options":[//选项"选项1","选项2","选项3"],"subTitle":"单选题描述说明111",//子标题"title":"单选题",//标题"type":"single",//类型single单选题,mutiSelect多选题,describe描述题"value":"0"//单选值(下标从0开始)},{"options":["选项11","选项22","选项33","选项44"],"subTitle":"多选题描述说明333","title":"多选题","type":"mutiSelect",//多选题"value":"[0,2,1]"//多选值(下标从0开始,无序)},{"subTitle":"描述题说明4444","title":"描述题","type":"describe",//描述题"value":"描述题结果"//描述题的值}],"essaySectionTitle":"其它评价",//其他评价(在评价表设置时可通过开关配置是否展示)"essayValue":"其他评价结果"//其他评价对应的值} |
| data[].interviewInfo[].interviewerFeedbacks[].satisfactionRecord.satisfactionDimensions | array | 维度数组(面试过程 |
| data[].interviewInfo[].interviewerFeedbacks[].satisfactionRecord[].name | string | 维度名称 |
| data[].interviewInfo[].interviewerFeedbacks[].satisfactionRecord[].name | string | 维度对应值 |
| interviewFeedbackUrl | string | 面试反馈汇总文件下载链接,HTTP GET请求该URL即可下载面试反馈汇总文件,此链接有时效性,过期时间为1小时,需要收到请求后尽快下载在服务器保存 |
| extendedInterviewers[] | array | 参与候选人此次申请面试官的无面试反馈信息,具体字段参考interviewers |
| extendedInterviewerFeedbackUrl | string | 面试反馈汇总文件下载链接,HTTP GET请求该URL即可下载面试反馈汇总文件,此链接有时效性,过期时间为1小时,需要收到请求后尽快下载在服务器保存 |
| ehrCustomFields[] | array | ehr自定义导出字段集合 |
| ehrCustomFields[].name | string | 自定义字段名 |
| ehrCustomFields[].value | any | 自定义字段值 |
| ehrCandidateExternalLink | string | 候选人详情的链接,可以直接在浏览器中打开查看,该链接有效期默认14天 |
| referrer | object | 推荐人信息 |
| referrer.name | string | 推荐人姓名 |
| referrer.email | string | 推荐人邮箱 |
| referrer.phone | string | 推荐人电话 |
| referrer.number | string | 推荐人工号,以下值之一:null无工号,xxx工号 |
| jobRanksInfo[].name | string | 职位级别名称 |
| jobRanksInfo[].type | string | 职位级别类型 |
| jobRanksInfo[].level | string | 职位级别等级 |
| headcountInfo[].id | number | Headcount ID |
| headcountInfo[].number | string | Headcount 编号 |
| headcountInfo[].name | string | Headcount 名称 |
| headcountInfo[].status | string | Headcount 状态 |
| customFields[] | array | 候选人自定义字段,仅包含标准简历中设置的自定义字段 |
| customFields[].name | string | 自定义字段名称 |
| customFields[].value | string | 自定义字段值。对于是否题类型,1代表“是”,0代表“否”。 |
| customFields[].now | boolean | 当自定义字段是时间时存在该字段,表示时间(或时间范围的结束时间)是否是“至今”。例如true。如果为true,则对应的时间将可能为任意值,请注意 |
| customFields[].section | string | 自定义字段所在的模块名称,模块可以是内置模块(如experienceInfo)或者自定义模块(如紧急联系人) |
| customFields[].index | string | 对于experienceInfo、educationInfo或者自定义模块(如紧急联系人)等存在多条数据的模块,index表示这个字段是第几条数据的自定义字段信息 |
| customFields[].codes | string | 选择题自定义code(仅对有code的选择题生效) |
| offer | object | offer信息 |
| offer.createdAt | string | offer创建时间。日期格式为:ISO8601 |
| offer.status | string | offer状态;未创建:notCreated 未发送: pending 待接受:sent 已接收: accepted 已拒绝: rejected |
| offer.approvalStatus | string | 审批状态 UNINITIATED: // 未发起;INPROGRESS: // 审批中;APPROVED: // 已通过;REJECTED: // 已驳回;RECALLED: // 已撤回 |
| offer.salaryNumber | number | 月薪标准 |
| offer.checkinDate | string | 预计入职时间 |
| offer.location | string | 入职地点 |
| offer.creator | object | offer创建人信息 |
| offer.creator.name | string | offer创建人姓名 |
| offer.creator.email | string | offer创建人邮箱 |
| offer.finishedAt | string | offer接受时间。日期格式为:ISO8601 |
| offer.customFields | array | offer自定义字段 |
| offer.customFields[].name | string | offer自定义字段名称 |
| offer.customFields[].value | string | offer自定义字段值 |
| offer.customFields[].codes | string | 选择题自定义code(仅对有code的选择题生效) |
| offer.hcInfo | object | offer选中的headCount信息 |
| offer.hcInfo.id | number | offer选中的Headcount ID |
| offer.hcInfo.number | string | offer选中的Headcount 编号 |
| offer.hcInfo.name | string | offer选中的Headcount 名称 |
| offer.hcInfo.status | string | offer选中的Headcount 状态 |
| offer.jobRankInfo | object | offer选中的职位级别信息 |
| offer.jobRankInfo.type | string | offer选中的职位级别 类型 |
| offer.jobRankInfo.level | string | offer选中的职位等级 |
| offer.jobRankInfo.name | string | offer选中的职位级别 名称 |
| offer.departmentName | string | 入职部门名称 |
| offer.departmentCode | number | 入职部门code |
| offer.parentDepartmentCode | number | 入职部门上级部门code |
| offer.departmentPath | string | 入职部门完整路径 |
| offer.offerLastSentAt | string | 末次发送offer时间 |
| offer.offerAttachmentDownloadUrl | string | offer生成的附件下载URL,有效期1个小时 |
| attachments | array | 候选人的所有附件 |
| attachments[].name | string | 候选人附件的文件名 |
| attachments[].applyFormId | number | 登记表模板ID |
| attachments[].size | integer | 候选人附件的文件大小 |
| attachments[].url | string | 候选人附件的下载地址 |
| attachments[].customFieldId | integer | 自定义附件字段ID |
| attachments[].customFieldName | string | 自定义附件字段名称 |
| attachments[].type | string | 候选人附件的类型,值为:CANDIDATE_UPLOAD_ATTACHMENT 候选人上传UPLOAD_PORTRAIT 候选人头像HR_UPLOAD_ATTACHMENT HR手动上传HM_UPLOAD_ATTACHMENT 用人经历端手动上传INTERVIEW_ACCEPT 候选人接受面试生成的登记表附件INTERVIEW_SIGNIN 候选人面试签到生成的登记表附件OFFER_ACCEPT 候选人接受OFFER生成的登记表附件MERGE_APPLICATION_ATTACHMENT 候选人合并产生的附件INVITE_UPDATE_RESUME 邀请候选人更新简历生成的登记表 |
| offerAttachment | object | 候选人offer相关附件 默认无此字段,如果需要请联系您的CMS, 获取候选人接口开关开启也不会有该字段 |
| offerAttachment.url | string | 候选人offer相关附件下载地址 链接地址有效期为1小时 |
| examReportLinks | array | 候选人考试/测评结果链接 |
| examReportLinks[].name | string | 候选人考试/测评名 |
| examReportLinks[].url | string | 候选人考试/测评结果链接 |
| examAttachments | array | 候选人考试/测评相关附件 |
| examAttachments[].name | string | 候选人考试/测评相关附件文件名 |
| examAttachments[].url | string | 候选人考试/测评相关附件下载地址 链接地址有效期为1小时 |
| projectInfo | array | 项目经验 |
| projectInfo[].startDate | string | 项目开始时间,最多精确到月。如2010-09, 2008 |
| projectInfo[].endDate | string | 项目结束时间,最多精确到月。如2010-09, 2008 |
| projectInfo[].projectName | string | 项目名称 |
| projectInfo[].title | string | 担任职责 |
| projectInfo[].projectDescript | string | 项目描述 |
| projectInfo[].responsibilities | string | 项目中职责 |
| projectInfo[].now | boolean | 结束时间是否表示“至今”。如false。如果为true,则endDate的值将可能为任意值,此时直接忽略endDate即可 |
| languageInfo | array | 语言能力 |
| languageInfo[].language | string | 语言类型 |
| languageInfo[].level | string | 掌握程度 |
| languageInfo[].listenAndSpeak | string | 听说能力 |
| languageInfo[].readAndWrite | string | 读写能力 |
| stageName | string | 阶段名字 |
| jobManager | object | 职位管理员 |
| jobManager.name | string | 职位负责人名字 |
| jobManager.phone | string | 职位负责人电话 |
| jobManager.email | string | 职位负责人邮箱 |
| jobManager.employeeId | string | 职位负责人工号 |
| jobAssistants | array | 职位协助人 |
| jobAssistants[].name | string | 职位协助人名字 |
| jobAssistants[].phone | string | 职位协助人电话 |
| jobAssistants[].email | string | 职位协助人邮箱 |
| jobAssistants[].employeeId | string | 职位协助人工号 |
| label | array | 候选人标签 |
| label[].id | number | 标签id |
| label[].label | string | 标签名称 |
| remarks | array | 候选人备注 |
| remarks[].creator | object | 备注的创建者信息 |
| remarks[].creator.name | object | 备注的创建者名称 |
| remarks[].creator.phone | object | 备注的创建者手机号吗 |
| remarks[].creator.email | object | 备注的创建者邮箱 |
| remarks[].creator.number | object | 备注的创建者工号 |
| remarks[].content | string | 备注的内容 |
| remarks[].targets | array | 备注的@的人员信息,格式同创建者信息 |
| remarks[].is_private | number | 备注是不是私密,1:私密0:非私密 |
| remarks[].type | string | 备注类型:人工填写 |
| remarks[].created_at | string | 备注创建时间 |
| owners | object | 候选人所有者 |
| owners.name | string | 候选人所有者名字 |
| owners.phone | string | 候选人所有者电话 |
| owners.email | string | 候选人所有者邮箱 |
| owners.employeeId | string | 候选人所有者工号 |
| survey | array | 背调内容 |
| survey[].name | string | 背调名称 |
| survey[].date | string | 背调日期 |
| survey[].result | string | 背调结果 |
| survey[].surveyAttachmentsUrl | string | 背调报告链接 |
| survey[].surveyAttachmentName | string | 背调附件名称 |
| survey[].surveyAttachments[] | array | 背调多附件(新版的单附件和多附件都在这个附件集合,原来的单附件结果只做历史兼容使用) |
| survey[].surveyAttachments[].surveyAttachmentsUrl | string | 背调报告链接 |
| survey[].surveyAttachments[].surveyAttachmentName | string | 背调附件名称 |
| practiceInfo[] | array | 实习经历 |
| practiceInfo[].startDate | string | 实习开始时间 |
| practiceInfo[].endDate | string | 实习结束时间 |
| practiceInfo[].company | string | 公司名称 |
| practiceInfo[].title | string | 职位名称 |
| customstyleAttachments | object | 自定义登记表信息 |
| customstyleAttachments.type | string | 附件类型固定doc |
| customstyleAttachments.createTime | string | 创建时间 |
| customstyleAttachments.customFieldName | string | 自定义附件名称 |
| customstyleAttachments.url | string | 附件下载地址 |
获取候选人信息v2接口(不迭代)
HTTP请求
POST https://api.mokahr.com/api-platform/v2/data/ehrApplications
请求样例 (application/json)
$ curl https://api.mokahr.com/api-platform/v2/data/ehrApplications \
-u 'your_api_key:' \
-X POST \
-H 'Content-Type: application/json' \
-d '{
"applicationIds":[236718928]
}'
返回示例
{
"code": 200,
"msg": "success",
"data": [
{
"basicInfo": {
"prefixPhone": null,
"applicationId": 425436988,
"campusSiteId": 0,
"archived": false,
"invitationUpdateStatus": 0,
"movedAt": "2023-11-23T09:35:57.000Z",
"appliedAt": "2023-11-08T03:35:10.000Z",
"sourceId": 410022886,
"createdAt": "2023-11-08T03:35:11.000Z",
"updatedAt": "2023-11-23T09:37:12.000Z",
"resumeKey": "staging002/c68b85a9-750e-478f-af13-f8cd10908ae0.txt",
"resumeUrl": "https://moka-test-oss.mokahr.com/staging002/2586.txt",
"standardResumeUrl": "https://moka-test-oss.mokahr.com/staging002/timestamp=1704434786908",
"sourceName": "拉勾",
"ehrCandidateExternalLink": "https://staging-2.mokahr.com/forward/6558d3344a8f6f05a04e044b3872e299870e8fe52",
"pipelineId": 410006067,
"stageId": 410012144,
"aimWorkCity": null,
"archivedAt": null,
"archiveReasonId": null,
"archiveReasonsDetails": null,
"probation": null,
"headcountId": null,
"headcountNumber": null,
"headcountName": null,
"idCardFrontList": null,
"idCardBackList": null,
"realHiredDate": null,
"archiveReasons": null,
"talentPoolsList": null,
"hireMode": 1,
"pipeline": {
"name": "默认招聘流程",
"id": 410006067
},
"stage": {
"name": "待入职",
"id": 410012144,
"type": 102
},
"operationRecord": null,
"sourceList": [
{
"name": "招聘网站",
"isBuiltin": 1,
"id": null
},
{
"id": 410022886,
"name": "拉勾",
"isBuiltin": 1
},
{
"id": null,
"name": null,
"isBuiltin": null
}
],
"attachments": null,
"remarks": [],
"referrer": null,
"owner": {
"name": "xxx",
"phone": "10000000000",
"email": "xxx@mokahr.com",
"number": "0099",
"employeeId": "0099"
},
"assignments": [
{
"assigneeId": 410224017,
"assignerId": 410246054,
"sentAt": 1700640945000,
"result": null
}
],
"operator": null,
"birthYear": 1998,
"candidateId": 425830771,
"sourceType": 2,
"personalUrl": "",
"name": "xxx",
"phone": "10000000000",
"email": "xxx@mokahr.com",
"gender": "男",
"ethnic": "",
"certificateType": 1,
"citizenId": "",
"nationality": "",
"nativePlace": "北京市",
"experience": 9,
"location": "北京市",
"lastCompany": "xxxxxxx股份有限公司",
"academicDegree": "硕士",
"lastSpeciality": "会计学",
"married": "未婚",
"nativePlaceCode": 110000,
"genderCode": 0,
"academicDegreeCode": 5,
"industry": "",
"forwardIndustry": "",
"lastUpdate": "",
"startFrom": "",
"skill": "",
"awards": "",
"lastWorkedJobTitle": "网络运营管理",
"graduateDate": "2010-06-01T00:00:00.000Z",
"salary": "360000元/年",
"aimSalary": "",
"forwardLocation": "",
"personal": "本人性格开朗,稳重,有活力,待人热情,真诚。有很强的专业的职业道德,专业基础知识扎实。工作认真负责,主动承担责任,积极与周围工作环境建立良好的工作关系,并具有一定的资源协调能力。与同事,其它部门各极配合,有较强的组织能力,实际动手能力和团体协作精神。能迅速的适应各种环境,并融合其中",
"idCardSignOrganization": "",
"idCardValidity": "",
"address": "",
"lastSchool": "xxxx大学",
"blacklistTags": null,
"blacklistDetail": null,
"birthDate": null,
"portraitUrl": null,
"nationalityCode": null,
"ethnicCode": null,
"personalInterests": null,
"customAttachmentList": null,
"political": null,
"customFields": null,
"label": [
{
"id": 4,
"label": "行业专注",
"type": 1
},
{
"id": 1,
"label": "名企背景",
"type": 1
},
{
"id": 410026147,
"label": "双一流大学",
"type": 1
},
{
"id": 410038563,
"label": "硕士",
"type": 1
}
],
"educationInfo": [
{
"id": "421785704",
"startDate": "2004-09",
"endDate": "2008-06",
"now": false,
"school": "xxxx大学",
"speciality": "会计学",
"academicDegree": "本科"
},
{
"id": "421785705",
"startDate": "2008-09",
"endDate": "2010-06",
"now": false,
"school": "xxxx大学",
"speciality": "会计学",
"academicDegree": "硕士"
}
],
"experienceInfo": [
{
"id": "587014203",
"startDate": "2017-06",
"endDate": "2020-04",
"now": false,
"company": "xxxxxx股份有限公司",
"title": "网络运营管理",
"location": "",
"industry": "",
"leader": "",
"department": "",
"salary": "360000元/年",
"summary": "工作描述:1,员工关系:负责公司员工入离职办理,档案维护等\n2,招聘:负责xx公司社招及实习生招聘及面试\n3,行政:协助行政Leader进行行政工作",
"reasonForLeaving": "",
"underlingNumber": "",
"type": "",
"size": ""
},
{
"id": "587014204",
"startDate": "2010-07",
"endDate": "2017-05",
"now": false,
"company": "xxxx有限公司深圳第一分公司",
"title": "校长/副校长",
"location": "",
"industry": "",
"leader": "",
"department": "",
"salary": "180000元/年",
"summary": "工作描述\n运营:实习生团队管理,包括离职面谈,日常答疑等;协助更新官方头条号,抖音账号\n实习生招聘:四川LA团队实习生招聘,每月平均入职15名实习生\n社会招聘:四川LA团队重点岗位招聘Mapping,期间3位候选人走到面试后期\n文化活动:协助leader策划团队活动,包括转正答辩,生日会,挑战赛等\n其他:定期更新招聘周报,招聘月报,招聘计划,招聘漏斗,招聘渠道;独立负责短期招聘项目,管培生培养项目",
"reasonForLeaving": "",
"underlingNumber": "",
"type": "",
"size": ""
}
],
"awardInfo": null,
"projectInfo": null,
"languageInfo": null,
"practiceInfo": null,
"interestSource": null
},
"jobInfo": {
"id": "e3b15530-b938-41ec-ab7d-5c569613bbd5",
"headcountInfo": [],
"mjCode": "MJ002910",
"jobRanksInfo": [],
"hireMode": 1,
"title": "消息1108",
"commitment": "全职",
"number": null,
"status": "open",
"attributeId": null,
"attributeName": null,
"label": null,
"category": null,
"jobDescription": "<p><strong>工作内容:</strong></p><p>1. 负责项目计划的制定和执行,保证项目按时、按质、按量完成。</p><p>2. 策划和组织项目中的各项工作,包括制定项目方案、分析数据、编写报告、组织调研、协调各方资源等。</p><p>3. 负责项目的质量控制,协调项目各阶段的验收工作。</p><p>4. 报告工作进展情况,及时向领导汇报项目的风险、问题和进度。</p><p><strong>任职要求:</strong></p><p>1. 本科及以上学历,专业不限。</p><p>2. 3年以上相关工作经验,有管理咨询、项目管理经验优先。</p><p>3. 熟练掌握项目管理方法和工具,熟悉项目的规划、执行、监控和控制等阶段。</p><p>4. 具备优秀的方案撰写和报告表达能力,能够清晰明确地表达深入的分析和建议。</p><p>5. 具备团队合作能力,良好的沟通能力和组织协调能力,能够有效地协调团队成员工作。 </p><p>6. 熟悉office办公软件,如Word、Excel、PPT等。</p><p>7. 熟悉统计分析软件如SPSS等,熟悉数据分析方法和技巧。</p><p>8. 必须具备优秀的英语读写能力,能够独立完成英文报告和资料翻译。</p>",
"openedAt": "2023-11-07T16:00:00.000Z",
"campusSiteIds": [],
"campusSites": [],
"finishedAt": null,
"department": {
"info": {
"departmentName": "更新",
"departmentCode": "98991",
"departmentPath": "更新",
"id": "411075469"
},
"name": "更新",
"parentId": null
},
"stores": [],
"customFields": [
{
"name": "测试选择题",
"value": ""
},
{
"name": "故意放核桃仁的",
"value": ""
}
],
"jobManager": {
"name": "xxx",
"phone": "10000000000",
"number": "0099",
"email": "xxx@mokahr.com",
"employeeId": "0099"
},
"jobAssistants": [],
"jobHiringManagers": [],
"jobInterviewers": []
},
"offerInfo": null,
"interviewInfo": null,
"shigongInfo": null,
"examInfo": {
"applicationId": 425436988,
"candidateId": 425830771,
"exams": [],
"jobId": "e3b15530-b938-41ec-ab7d-5c569613bbd5",
"surveys": [
{
"name": "mock套餐004",
"date": "2023-11-23T09:29:03.000Z",
"source": "开放平台三方",
"jobId": "e3b15530-b938-41ec-ab7d-5c569613bbd5",
"applicationId": 425436988,
"attachments": null,
"result": null,
"attachmentName": null,
"attachmentUrl": null,
"comment": null
}
]
},
"customstyleAttachments": null,
"activities": [
{
"applicationId": 425436988,
"operator": {
"name": "xxx",
"email": "xxx@mokahr.com",
"phone": "10000000000",
"number": "0099",
"employeeId": "0099"
},
"createdAt": "2023-11-08T03:35:11.000Z",
"source": "拉勾",
"type": "ADD_CANDIDATE",
"toStageId": null,
"toStageName": null,
"fromStageId": null,
"fromStageName": null
},
{
"applicationId": 425436988,
"operator": {
"name": "xxxx@163.com",
"email": "xxxxx@163.com",
"phone": "10000000000",
"employeeId": "",
"number": null
},
"createdAt": "2023-11-22T08:15:35.000Z",
"toStageId": 410012141,
"toStageName": "用人部门筛选",
"fromStageId": 410012140,
"fromStageName": "初筛",
"type": "MOVE_STAGE",
"source": null
},
{
"applicationId": 425436988,
"operator": {
"name": "xxx",
"email": "xxx@mokahr.com",
"phone": "10000000000",
"number": "0099",
"employeeId": "0099"
},
"createdAt": "2023-11-23T09:28:46.000Z",
"toStageId": 410012143,
"toStageName": "沟通offer",
"fromStageId": 410012141,
"fromStageName": "用人部门筛选",
"type": "MOVE_STAGE",
"source": null
},
{
"applicationId": 425436988,
"operator": {
"name": "xxx",
"email": "xxx@mokahr.com",
"phone": "10000000000",
"number": "0099",
"employeeId": "0099"
},
"createdAt": "2023-11-23T09:35:57.000Z",
"toStageId": 410012144,
"toStageName": "待入职",
"fromStageId": 410012143,
"fromStageName": "沟通offer",
"type": "MOVE_STAGE",
"source": null
}
]
}
]
}
请求body参数(application/json)
| 字段 | 必填 | 类型 | 描述 |
|---|---|---|---|
| 否 | string | 候选人 | |
| applicationIds | 否 | array[integer] | 申请id |
| invitationUpdateStatus | 否 | integer | 邀请更新状态 |
| limit | 否 | integer | 分页用的每页条数,默认20,最大20 |
| next | 否 | string | 分页参数, 只传这一个就可以 |
| phone | 否 | string | 候选人手机号 |
| offerAttachment | 否 | boolean | 只有为true的时候才返回offer附件下载链接,一个小时有效。 |
| applicationForm | 否 | boolean | 只有为true的时候才返回候选人自定义样式登记表 |
| pipelineIds | 否 | array[integer] | 流程ids |
| stageIds | 否 | array[integer] | 阶段ids |
| updateAtStartTime | 否 | string | 更新开始时间,传入北京时间,格式为YYYY-MM-DDTHH:mm:ss.sssZ |
| updateAtEndTime | 否 | string | 更新结束时间,传入北京时间,格式为YYYY-MM-DDTHH:mm:ss.sssZ |
| needAttachment | 否 | boolean | 是否返回附件 不传默认true,true返回附件,false 不返回附件 |
| archived | 否 | boolean | 申请是否归档.true/false(true已归档,false未归档) |
| hireMode | 否 | integer | 招聘模式.1/2(1社招,2校招,传其他视为没传) |
| applicationCreateStartTime | 否 | long | 数据创建开始时间(时间戳格式,指申请首次被保存至数据库的时间) |
| applicationCreateEndTime | 否 | long | 数据创建结束时间(时间戳格式,指申请首次被保存至数据库的时间) |
| applicationAppliedAtStartTime | 否 | long | 申请创建开始时间(时间戳格式,指系统展示的申请日期) |
| applicationAppliedAtEndTime | 否 | long | 申请创建结束时间(时间戳格式,指系统展示的申请日期) |
返回
返回body的JSON数据如下:
| 字段 | 类型 | 描述 |
|---|---|---|
| code | integer | 返回码:非200代表错误 |
| msg | string | 报错信息 |
| next | string | 如果返回则下次请求带上则自动分页 |
| data | array | 返回数据详细信息 |
| data[].basicInfo | Object | 候选人申请信息 |
| data[].basicInfo.prefixPhone | string | 国家呼叫代码 |
| data[].basicInfo.applicationId | long | 申请ID |
| data[].basicInfo.campusSiteId | number | 申请的校招站点Id,hireMode=2时存在 |
| data[].basicInfo.archived | boolean | 申请是否归档 |
| data[].basicInfo.invitationUpdateStatus | integer | 邀请更新状态 可选值: 0:未邀请 1:未更新 2:已更新 |
| data[].basicInfo.movedAt | string | 阶段移动时间 |
| data[].basicInfo.appliedAt | string | 申请投递时间 |
| data[].basicInfo.sourceId | long | 申请的渠道id |
| data[].basicInfo.createdAt | string | 候选人申请创建时间 |
| data[].basicInfo.updatedAt | string | 候选人申请更新时间 |
| data[].basicInfo.resumeKey | string | 原始简历的 key |
| data[].basicInfo.resumeUrl | string | 原始简历下载链接 |
| data[].basicInfo.standardResumeUrl | string | 标准简历下载链接 |
| data[].basicInfo.sourceName | string | 资源来源 |
| data[].basicInfo.ehrCandidateExternalLink | string | 候选人详情的链接,可以直接在浏览器中打开查看,该链接有效期默认14天 |
| data[].basicInfo.pipelineId | long | 申请所在的招聘流程id |
| data[].basicInfo.stageId | long | 申请所在的阶段id |
| data[].basicInfo.aimWorkCity | string | 候选人意向工作城市 |
| data[].basicInfo.archivedAt | string | 申请归档时间 |
| data[].basicInfo.archiveReasonId | integer | 归档原因ID |
| data[].basicInfo.archiveReasonsDetails | string | 归档原因详细 |
| data[].basicInfo.probation | integer | 试用期 |
| data[].basicInfo.headcountId | integer | 入职HC ID |
| data[].basicInfo.headcountNumber | string | 入职HC编号 |
| data[].basicInfo.headcountName | string | 入职HC名称 |
| data[].basicInfo.idCardFrontList | string | 上传身份证照片(人像面) |
| data[].basicInfo.idCardBackList | string | 上传身份证照片(国徽面) |
| data[].basicInfo.realHiredDate | string | 入职时间 |
| data[].basicInfo.archiveReasons | object | 归档原因 |
| data[].basicInfo.archiveReasons.type | integer | 归档原因类型 |
| data[].basicInfo.archiveReasons.name | string | 归档名称 |
| data[].basicInfo.talentPoolsList[] | array | 候选人所属人才库信息 |
| data[].basicInfo.talentPoolsList[].talentPoolId | long | 人才库id |
| data[].basicInfo.talentPoolsList[].name | string | 人才库名称 |
| data[].basicInfo.talentPoolsList[].description | string | 详细描述 |
| data[].basicInfo.talentPoolsList[].latestArchivedAt | long | 最后归档时间 |
| data[].basicInfo.hireMode | integer | 招聘模式 1:为社招,2:为校招 |
| data[].basicInfo.pipeline | object | 申请所属流程 |
| data[].basicInfo.pipeline.id | long | 申请流程所属ID |
| data[].basicInfo.pipeline.name | string | 招聘流程名称 |
| data[].basicInfo.stage | object | 阶段 |
| data[].basicInfo.stage.id | long | 业务id |
| data[].basicInfo.stage.name | string | 阶段名称 |
| data[].basicInfo.stage.type | integer | 阶段类型 |
| data[].basicInfo.sourceList[] | array | 渠道分级,数组按照一级渠道、二级渠道、三级渠道的顺序排列 |
| data[].basicInfo.sourceList[].id | long | 渠道ID |
| data[].basicInfo.sourceList[].name | string | 渠道名称 |
| data[].basicInfo.sourceList[].isBuiltin | integer | 是否内置 |
| data[].basicInfo.attachments[] | array | 候选人的所有附件 |
| data[].basicInfo.attachments[].applicationId | long | 申请id |
| data[].basicInfo.attachments[].jobId | string | 申请职位id |
| data[].basicInfo.attachments[].name | string | 名字 |
| data[].basicInfo.attachments[].size | integer | 大小 |
| data[].basicInfo.attachments[].type | string | 类型 |
| data[].basicInfo.attachments[].customFieldId | long | 自定义字段ID |
| data[].basicInfo.attachments[].customFieldName | string | 自定义字段名字 |
| data[].basicInfo.attachments[].url | string | 地址 |
| data[].basicInfo.attachments[].createTime | date | 创建时间 |
| data[].basicInfo.attachments[].applyFormId | long | 申请表id |
| data[].basicInfo.remarks[] | array | 候选人备注 |
| data[].basicInfo.remarks[].creator | object | 创建人的数据 |
| data[].basicInfo.remarks[].creator.name | string | 备注的创建者名称 |
| data[].basicInfo.remarks[].creator.phone | string | 备注的创建者手机号吗 |
| data[].basicInfo.remarks[].creator.email | string | 备注的创建者邮箱 |
| data[].basicInfo.remarks[].creator.number | string | 备注的创建者工号 |
| data[].basicInfo.remarks[].targets | array | 被@的人的id数组集合 |
| data[].basicInfo.remarks[].content | string | 备注内容 comments表content字段 |
| data[].basicInfo.remarks[].isPrivate | boolean | 是否私密备注 |
| data[].basicInfo.remarks[].type | string | 备注类型,可选值为,"系统生成" 或者 "人工填写" |
| data[].basicInfo.remarks[].createdAt | date | 创建时间 |
| data[].basicInfo.remarks[].isCommunication | integer | comment是否属于电话沟通的内容 |
| data[].basicInfo.referrer | object | 推荐人信息 |
| data[].basicInfo.referrer.name | string | 推荐人姓名 |
| data[].basicInfo.referrer.email | string | 推荐人邮箱 |
| data[].basicInfo.referrer.phone | string | 推荐人电话 |
| data[].basicInfo.referrer.number | string | 推荐人工号,null:无工号,xxx工号 |
| data[].basicInfo.referrer.employeeId | string | 推荐人工号2 |
| data[].basicInfo.owner | object | 候选人所有者 |
| data[].basicInfo.owner.name | string | 候选人所有者名字 |
| data[].basicInfo.owner.phone | string | 候选人所有者电话 |
| data[].basicInfo.owner.email | string | 候选人所有者邮箱 |
| data[].basicInfo.owner.number | string | 候选人所有者工号 |
| data[].basicInfo.owner.employeeId | string | 候选人所有者工号2 |
| data[].basicInfo.assignments[] | array | 推荐人信息 |
| data[].basicInfo.assignments[].assigneeId | Long | 被推荐人 |
| data[].basicInfo.assignments[].assignerId | Long | 推荐人 |
| data[].basicInfo.assignments[].result | string | 推荐结果 |
| data[].basicInfo.assignments[].sentAt | date | 向被转发人发送通知的时间 |
| data[].basicInfo.birthYear | string | 出生年份 |
| data[].basicInfo.candidateId | integer | 候选人在Moka中的唯一id |
| data[].basicInfo.sourceType | integer | 来源 1:代表主动搜索 2:代表主动投递 3:代表人才推荐 |
| data[].basicInfo.personalUrl | string | 个人链接 |
| data[].basicInfo.name | string | 名字 |
| data[].basicInfo.phone | string | 手机号 |
| data[].basicInfo.email | string | 邮箱 |
| data[].basicInfo.age | string | 年龄 |
| data[].basicInfo.gender | string | 性别,以下值之一:男,女 |
| data[].basicInfo.ethnic | string | 民族 |
| data[].basicInfo.certificateType | integer | 证件类型 可选值: 1:身份证 2:香港身份证 3:澳门身份证 4:台湾身份证 5:护照 6:其他证件 7:港澳居民来往内地通行证 8:台湾居民来往内地通行证 9:外国人工作许可证 10:外国人居留许可证 |
| data[].basicInfo.citizenId | string | 证件号码 |
| data[].basicInfo.nationality | string | 国家/地区 |
| data[].basicInfo.nativePlace | string | 籍贯 |
| data[].basicInfo.experience | integer | 工作经验可选值: 0:应届生 -1:在校生 其他数字:表示具体年限 |
| data[].basicInfo.location | string | 所在地,如北京 |
| data[].basicInfo.lastCompany | string | 最近公司,以下值之一:null无最近公司,xxx任职公司名称 |
| data[].basicInfo.academicDegree | string | 最高学历,以下值之一:本科,硕士,博士,高中,大专,中专,初中及以下,MBA,其他 |
| data[].basicInfo.lastSpeciality | string | 最近毕业专业 |
| data[].basicInfo.married | string | 婚姻状态 可选值:'已婚' '未婚' '离异' '丧偶' 'CIVILUNION' 'COHABITATING' 'MARRIED' 'DIVORCED' 'ENGAGED' 'SEPARATED' 'SINGLE' 'WIDOWED' |
| data[].basicInfo.nativePlaceCode | integer | 籍贯编码(籍贯为空时为null,编码详情见附件) |
| data[].basicInfo.genderCode | integer | 性别编码(性别为空时为null,编码详情见附件) |
| data[].basicInfo.academicDegreeCode | integer | 学历编码(学历为空时为null,编码详情见附件) |
| data[].basicInfo.industry | string | 所在行业 |
| data[].basicInfo.forwardIndustry | string | 期望行业 |
| data[].basicInfo.lastUpdate | string | 简历更新时间 |
| data[].basicInfo.startFrom | string | 到岗时间 |
| data[].basicInfo.skill | string | 技能 |
| data[].basicInfo.awards | string | 获奖经历 |
| data[].basicInfo.lastWorkedJobTitle | string | 目前职位 |
| data[].basicInfo.graduateDate | string | 毕业时间 |
| data[].basicInfo.salary | string | 当前薪资 |
| data[].basicInfo.aimSalary | string | 期望薪资 |
| data[].basicInfo.forwardLocation | string | 期望城市 |
| data[].basicInfo.personal | string | 自我描述 |
| data[].basicInfo.idCardSignOrganization | string | 身份证签发机关 |
| data[].basicInfo.idCardValidity | string | 证件有效期 |
| data[].basicInfo.address | string | 户籍地址 |
| data[].basicInfo.lastSchool | string | 学校名称 |
| data[].basicInfo.blacklistTags | string | 黑名单标签(只有黑名单库才有) |
| data[].basicInfo.blacklistDetail | string | 黑名单原因(只有黑名单库才有) |
| data[].basicInfo.birthDate | string | 出生日期 |
| data[].basicInfo.portraitUrl | string | 候选人头像的图片地址,链接有效期为1小时 |
| data[].basicInfo.nationalityCode | integer | 国籍编码(国籍为空时为null,编码详情见附件) |
| data[].basicInfo.ethnicCode | integer | 民族编码(民族为空时为null,编码详情见附件) |
| data[].basicInfo.personalInterests | string | 兴趣爱好 |
| data[].basicInfo.customAttachmentList | object | 候选人标准简历的所有附件 |
| data[].basicInfo.customAttachmentList.customUpload+customId | array | 候选人标准简历的附件的key由customUpload(固定字符串)+customId组成 |
| data[].basicInfo.customAttachmentList.customUpload+customId[].attachmentName | string | 附件名称 |
| data[].basicInfo.customAttachmentList.customUpload+customId[].attachmentSize | number | 附件大小(byte) |
| data[].basicInfo.customAttachmentList.customUpload+customId[].candidateId | number | 候选人id |
| data[].basicInfo.customAttachmentList.customUpload+customId[].customId | number | 自定义字段id |
| data[].basicInfo.customAttachmentList.customUpload+customId[].downloadUrl | string | 下载地址24小时失效 |
| data[].basicInfo.customAttachmentList.customUpload+customId[].createdAt | string | 附件创建时间(时间戳格式) |
| data[].basicInfo.political | string | 政治面貌 |
| data[].basicInfo.customFields[] | array | 自定义字段 |
| data[].basicInfo.customFields[].customFieldId | long | 自定义字段id |
| data[].basicInfo.customFields[].name | string | 自定义字段名称 |
| data[].basicInfo.customFields[].type | string | 自定义字段类型 |
| data[].basicInfo.customFields[].builtinInfoId | long | 内置信息id |
| data[].basicInfo.customFields[].code | string | 选择题编码 |
| data[].basicInfo.customFields[].value | Boolean或String | 自定义字段值,这个根据字段类型返回不同类型的值 |
| data[].basicInfo.customFields[].now | String | 当自定义字段是时间段时存在该字段,标识结束时间是否为“至今”。结束时间为至今时,now=true,此时endDate的值将可能为任意值,直接忽略endDate即可 |
| data[].basicInfo.customFields[].section | String | 字段归属,声明是以下哪个父级下的自定义字段: basicInfo 个人信息 jobIntention 求职意向 experienceInfo 工作经历 educationInfo 教育背景 practiceInfo 实习经历projectInfo 项目经验 languageInfo 语言能力 selfDescription 自我描述 awardInfo 获奖经历 |
| data[].basicInfo.customFields[].index | number | 索引,对于experienceInfo、educationInfo或者自定义模块(如紧急联系人)等存在多条数据的模块,index表示这个字段是第几条数据的自定义字段信息 |
| data[].basicInfo.customFields[].codes | array | 选择题选项值编码 |
| data[].basicInfo.label[] | array | 候选人标签 |
| data[].basicInfo.label[].id | integer | 标签id |
| data[].basicInfo.label[].label | string | 标签名称 |
| data[].basicInfo.label[].type | number | 标签类型 可选值: 1:智能标签 2:手工标签 |
| data[].basicInfo.educationInfo[] | array | 教育经历 |
| data[].basicInfo.educationInfo[].id | string | 教育经历id |
| data[].basicInfo.educationInfo[].startDate | string | 学校开始时间,最多精确到月。如2010-09, 2008 |
| data[].basicInfo.educationInfo[].endDate | string | 学校结束时间,最多精确到月。如2010-09, 2008 |
| data[].basicInfo.educationInfo[].now | boolean | 标识结束时间是否为“至今”。当结束时间为至今时,now=true,此时endDate的值将可能为任意值,直接忽略endDate即可 |
| data[].basicInfo.educationInfo[].school | string | 学校名称 |
| data[].basicInfo.educationInfo[].speciality | string | 专业名称 |
| data[].basicInfo.educationInfo[].academicDegree | string | 学历,以下值之一:本科,硕士,博士,高中,大专,中专,初中及以下,MBA,其他 |
| data[].basicInfo.experienceInfo[] | array | 工作经历 |
| data[].basicInfo.experienceInfo[].id | string | 工作经历id |
| data[].basicInfo.experienceInfo[].startDate | string | 工作开始时间,最多精确到月。如2010-09, 2008 |
| data[].basicInfo.experienceInfo[].endDate | string | 工作结束时间,最多精确到月。如2010-09, 2008 |
| data[].basicInfo.experienceInfo[].now | boolean | 标识结束时间是否为“至今”。当结束时间为至今时,now=true,此时endDate的值将可能为任意值,直接忽略endDate即可 |
| data[].basicInfo.experienceInfo[].company | string | 公司名称 |
| data[].basicInfo.experienceInfo[].title | string | 职位名称 |
| data[].basicInfo.experienceInfo[].location | string | 工作地点 |
| data[].basicInfo.experienceInfo[].industry | string | 所在行业 |
| data[].basicInfo.experienceInfo[].leader | string | 汇报对象 |
| data[].basicInfo.experienceInfo[].department | string | 所在部门 |
| data[].basicInfo.experienceInfo[].salary | string | 薪资 |
| data[].basicInfo.experienceInfo[].summary | string | 工作职责 |
| data[].basicInfo.experienceInfo[].reasonForLeaving | string | 离职原因 |
| data[].basicInfo.experienceInfo[].underlingNumber | string | 下属人数 |
| data[].basicInfo.experienceInfo[].type | string | 公司性质 |
| data[].basicInfo.experienceInfo[].size | string | 公司规模 |
| data[].basicInfo.awardInfo[] | array | 获奖经历 |
| data[].basicInfo.awardInfo[].id | string | 获奖经历id |
| data[].basicInfo.awardInfo[].awardDate | string | 获奖时间 |
| data[].basicInfo.awardInfo[].awardName | string | 获奖名称 |
| data[].basicInfo.projectInfo[] | array | 项目经验 |
| data[].basicInfo.projectInfo[].id | string | 项目经验id |
| data[].basicInfo.projectInfo[].startDate | string | 项目开始时间,最多精确到月。如2010-09, 2008 |
| data[].basicInfo.projectInfo[].endDate | string | 项目结束时间,最多精确到月。如2010-09, 2008 |
| data[].basicInfo.projectInfo[].now | boolean | 标识结束时间是否为“至今”。当结束时间为至今时,now=true,此时endDate的值将可能为任意值,直接忽略endDate即可 |
| data[].basicInfo.projectInfo[].projectName | string | 项目名称 |
| data[].basicInfo.projectInfo[].title | string | 担任> 职责 |
| data[].basicInfo.projectInfo[].projectDescription | string | 项目描述 |
| data[].basicInfo.projectInfo[].responsibilities | string | 项目中职责 |
| data[].basicInfo.languageInfo[] | array | 语言能力 |
| data[].basicInfo.languageInfo[].id | string | 语言能力id |
| data[].basicInfo.languageInfo[].language | string | 语言类型 |
| data[].basicInfo.languageInfo[].level | string | 掌握程度 |
| data[].basicInfo.languageInfo[].listenAndSpeak | string | 听说能力 |
| data[].basicInfo.languageInfo[].readAndWrite | string | 读写能力 |
| data[].basicInfo.practiceInfo[] | array | 实习经历 |
| data[].basicInfo.practiceInfo[].id | string | 实习经历id |
| data[].basicInfo.practiceInfo[].startDate | string | 实习开始时间 |
| data[].basicInfo.practiceInfo[].endDate | string | 实习结束时间 |
| data[].basicInfo.practiceInfo[].company | string | 公司名称 |
| data[].basicInfo.practiceInfo[].title | string | 职位名称 |
| data[].basicInfo.practiceInfo[].location | string | 工作地点 |
| data[].basicInfo.practiceInfo[].industry | string | 所在行业 |
| data[].basicInfo.practiceInfo[].leader | string | 汇报对象 |
| data[].basicInfo.practiceInfo[].department | string | 所在部门 |
| data[].basicInfo.practiceInfo[].salary | string | 薪资 |
| data[].basicInfo.practiceInfo[].summary | string | 工作职责 |
| data[].basicInfo.practiceInfo[].type | string | 公司性质 |
| data[].basicInfo.practiceInfo[].size | string | 公司规模 |
| data[].basicInfo.interestSource[] | array | 利益所属渠道信息。返回数据根据渠道,分级展示,部分渠道没有第三级 |
| data[].basicInfo.interestSource[].id | Ingeger | id |
| data[].basicInfo.interestSource[].name | string | 名称 |
| data[].basicInfo.interestSource[].email | string | 邮箱 |
| data[].jobInfo | object | 应聘职位信息 |
| data[].jobInfo.id | string | 职位ID |
| data[].jobInfo.headcountInfo[] | array | 职位关联的HC信息 |
| data[].jobInfo.headcountInfo[].id | number | Headcount ID |
| data[].jobInfo.headcountInfo[].jobId | string | 职位id |
| data[].jobInfo.headcountInfo[].name | string | Headcount 名称 |
| data[].jobInfo.headcountInfo[].number | string | Headcount 编号 |
| data[].jobInfo.headcountInfo[].needNumber | integer | HC 需求数量 |
| data[].jobInfo.headcountInfo[].status | string | Headcount 状态 |
| data[].jobInfo.headcountInfo[].customFields[] | array | HC自定义字段 |
| data[].jobInfo.headcountInfo[].customFields[].name | string | HC自定义字段名称 |
| data[].jobInfo.headcountInfo[].customFields[].value | string | HC自定义字段值 |
| data[].jobInfo.mjCode | string | 职位编号,发布到外部系统保持一致。 |
| data[].jobInfo.jobRanksInfo[] | array | 职位级别 |
| data[].jobInfo.jobRanksInfo[].name | string | 职位级别名称 |
| data[].jobInfo.jobRanksInfo[].level | number | 职位级别等级 |
| data[].jobInfo.hireMode | integer | 招聘模式 可选值: 1:社招 2:校招 |
| data[].jobInfo.title | string | 职位名称 |
| data[].jobInfo.commitment | string | 职位性质 可选值: 全职 兼职 实习 其它 |
| data[].jobInfo.number | number | 招聘人数 |
| data[].jobInfo.status | string | 职位状态 可选值 open:开启 closed:关闭 |
| data[].jobInfo.attributeId | long | 职位优先级Id |
| data[].jobInfo.attributeName | string | 职位优先级名称 |
| data[].jobInfo.label | string | 职位标签 |
| data[].jobInfo.category | string | 职位类别 |
| data[].jobInfo.jobDescription | string | 工作描述 |
| data[].jobInfo.openedAt | string | 开启时间 |
| data[].jobInfo.campusSiteIds[] | array | 校招站点id |
| data[].jobInfo.campusSites[] | array | 校招站点 |
| data[].jobInfo.campusSites[].id | integer | 校招站点ID |
| data[].jobInfo.campusSites[].name | string | 校招地点名字 |
| data[].jobInfo.campusSites[].cityId | integer | 校招城市id |
| data[].jobInfo.finishedAt | string | 目标完成时间 |
| data[].jobInfo.department | object | 职位所在部门 |
| data[].jobInfo.department.info | object | 部门详细信息 |
| data[].jobInfo.department.info.departmentName | string | 部门名称 |
| data[].jobInfo.department.info.departmentCode | string | 部门编码,部门在客户系统中的id |
| data[].jobInfo.department.info.departmentPath | string | 职位所在部门的完整路径,从上级到下级,以/分割 |
| data[].jobInfo.department.info.parentAPICode | string | 职位所在部门的完整路径,从上级到下级,以/分割 |
| data[].jobInfo.department.info.id | string | 部门ID,部门在Moka系统中的id |
| data[].jobInfo.department.name | string | 父部门名称 |
| data[].jobInfo.department.parentId | string | 父部门ID,部门在Moka系统中的id |
| data[].jobInfo.stores[] | array | 所属门店 |
| data[].jobInfo.stores[].id | long | 所属门店id |
| data[].jobInfo.stores[].name | string | 所属门店名称 |
| data[].jobInfo.stores[].jobId | string | 所属门店职位id |
| data[].jobInfo.stores[].departmentId | long | 所属门店部门id |
| data[].jobInfo.customFields[] | array | job自定义字段 |
| data[].jobInfo.customFields[].name | string | job自定义字段名称 |
| data[].jobInfo.customFields[].value | string | job自定义字段值 |
| data[].jobInfo.jobManager | object | 职位负责人 |
| data[].jobInfo.jobManager.name | string | 职位负责人姓名 |
| data[].jobInfo.jobManager.phone | string | 职位负责人电话 |
| data[].jobInfo.jobManager.number | string | 职位负责人工号 |
| data[].jobInfo.jobManager.email | string | 职位负责人邮箱 |
| data[].jobInfo.jobManager.employeeId | string | 职位负责人工号2 |
| data[].jobInfo.jobAssistants[] | array | 职位协助人 |
| data[].jobInfo.jobAssistants[].name | string | 职位协助人名字 |
| data[].jobInfo.jobAssistants[].email | string | 职位协助人邮箱 |
| data[].jobInfo.jobAssistants[].phone | string | 职位协助人手机号 |
| data[].jobInfo.jobAssistants[].employeeId | string | 职位协助人工号 |
| data[].jobInfo.jobAssistants[].number | string | 职位协助人编号 |
| data[].jobInfo.jobHiringManagers[] | array | 职位管理员信息 |
| data[].jobInfo.jobHiringManagers[].name | string | 职位管理员名字 |
| data[].jobInfo.jobHiringManagers[].email | string | 职位管理员邮箱 |
| data[].jobInfo.jobHiringManagers[].phone | string | 职位管理员手机号 |
| data[].jobInfo.jobHiringManagers[].employeeId | string | 职位管理员工号 |
| data[].jobInfo.jobHiringManagers[].number | string | 职位管理员编号 |
| data[].jobInfo.jobInterviewers[] | array | 职位面试官信息 |
| data[].jobInfo.jobInterviewers[].id | long | 面试官id |
| data[].jobInfo.jobInterviewers[].name | string | 面试官名字 |
| data[].jobInfo.jobInterviewers[].number | string | 面试官编号 |
| data[].offerInfo | object | offer信息 |
| data[].offerInfo.applicationId | integer | 申请id |
| data[].offerInfo.approvalStatus | string | 审批状态 可选值: UNINITIATED: 未发起 INPROGRESS: 审批中 APPROVED: 已通过 REJECTED: 已驳回 RECALLED: 已撤回 |
| data[].offerInfo.checkinDate | string | 预计入职时间 |
| data[].offerInfo.status | string | 可选值: pending : 未发送 sent: 待接受 accepted : 已接收 rejected: 已拒绝 |
| data[].offerInfo.salaryType | integer | 薪资类型 可选值 1: 时薪 2:日薪 3:月薪 4:年薪 |
| data[].offerInfo.salaryNumber | string | 薪资数值 |
| data[].offerInfo.locationString | string | 入职地点 |
| data[].offerInfo.dutyLevelName | string | 职务级别名称 |
| data[].offerInfo.createdAt | string | offer创建时间 |
| data[].offerInfo.finishedAt | string | offer接受时间 |
| data[].offerInfo.jobRankType | string | 职级类型 |
| data[].offerInfo.jobRankLevel | number | 职级等级 |
| data[].offerInfo.jobRankName | string | 职级名称 |
| data[].offerInfo.offerAttachmentUrl | string | offer附件下载地址 |
| data[].offerInfo.creator | object | offer创建人信息 |
| data[].offerInfo.creator.name | string | offer创建人姓名 |
| data[].offerInfo.creator.email | string | offer创建人邮箱 |
| data[].offerInfo.creator.phone | string | offer创建人手机号 |
| data[].offerInfo.creator.number | string | offer创建人工号 |
| data[].offerInfo.creator.employeeId | string | offer创建人工号2 |
| data[].offerInfo.offerHistoryList | array | offer发送记录 |
| data[].offerInfo.offerHistoryList[].sentAt | string | offer发送时间 |
| data[].offerInfo.offerHistoryList[].sentUser | object | offer发送人信息 |
| data[].offerInfo.offerHistoryList[].sentUser.id | integer | offer发送人id |
| data[].offerInfo.offerHistoryList[].sentUser.name | string | offer发送人姓名 |
| data[].offerInfo.offerHistoryList[].sentUser.email | string | offer发送人邮箱 |
| data[].offerInfo.offerHistoryList[].sentUser.phone | string | offer发送人手机号 |
| data[].offerInfo.offerHistoryList[].sentUser.employeeId | string | offer发送人工号2 |
| data[].offerInfo.offerHistoryList[].status | string | 已接收: accepted已拒绝: rejected |
| data[].offerInfo.offerHistoryList[].operationType | integer | 操作类型 可选值: 1:候选人 2:HR手动标记 3:API标记 |
| data[].offerInfo.hcInfo | object | offer选中的headCount信息 |
| data[].offerInfo.hcInfo.id | integer | offer选中的Headcount ID |
| data[].offerInfo.hcInfo.number | string | offer选中的Headcount 编号 |
| data[].offerInfo.hcInfo.name | string | offer选中的Headcount 名称 |
| data[].offerInfo.hcInfo.status | string | offer选中的Headcount 状态 |
| data[].offerInfo.hcInfo.department | string | offer选中的Headcount 部门 |
| data[].offerInfo.hcInfo.manager | string | offer选中的Headcount 负责人 |
| data[].offerInfo.department | object | 入职部门信息 |
| data[].offerInfo.department.id | string | 入职部门id |
| data[].offerInfo.department.departmentName | string | 入职部门名称 |
| data[].offerInfo.department.departmentCode | string | 入职部门编码 |
| data[].offerInfo.department.departmentPath | string | 入职部门完整路径 |
| data[].offerInfo.department.parentAPICode | string | 父部门code |
| data[].offerInfo.customFields | array | offer自定义字段 |
| data[].offerInfo.customFields[].id | integer | offer自定义字段id |
| data[].offerInfo.customFields[].name | string | offer自定义字段名称 |
| data[].offerInfo.customFields[].value | string | offer自定义字段值 |
| data[].offerInfo.customFields[].codes | string | 选择题自定义code(仅对有code的选择题生效) |
| data[].offerInfo.attachmentList[] | array | offer附件列表 |
| data[].offerInfo.attachmentList[].name | string | offer附件名称 |
| data[].offerInfo.attachmentList[].size | number | offer附件大小 |
| data[].offerInfo.attachmentList[].downloadUrl | string | offer附件下载链接,一个小时有效 |
| data[].offerInfo.attachmentList[].attachmentType | number | offer附件类型 可选值: 0:发送给候选人的附件 1:发送给审批人的附件 2:offer附件 |
| data[].interviewInfo[] | array | 面试信息 |
| data[].interviewInfo[].applicationId | number | 申请id |
| data[].interviewInfo[].groupInterviewId | number | 面试id |
| data[].interviewInfo[].groupId | string | 面试组id |
| data[].interviewInfo[].noInterview | boolean | 是否无面试面试反馈 |
| data[].interviewInfo[].status | string | 面试状态:已取消, 未结束, 已结束 |
| data[].interviewInfo[].candidateAttendStatus | string | 候选人面试状态 -> 候选人未反馈, 候选人未到场, 候选人已拒绝, 候选人已接受 |
| data[].interviewInfo[].signInStatus | string | 面试签到状态:已签到、未签到 |
| data[].interviewInfo[].jobType | string | 视频面试套餐类型eg:'技术型','非技术型'等 |
| data[].interviewInfo[].interviewType | string | 面试类型:现场面试、电话面试、视频面试 |
| data[].interviewInfo[].locationId | integer | 面试地点ID |
| data[].interviewInfo[].locationCountry | string | 面试地点-国家 |
| data[].interviewInfo[].locationAddress | string | 面试地点-详细地址 |
| data[].interviewInfo[].locationCityId | integer | 面试地点-城市ID |
| data[].interviewInfo[].meetingRoomId | integer | 会议室ID |
| data[].interviewInfo[].meetingRoomName | string | 会议室名称 |
| data[].interviewInfo[].roundId | integer | 面试轮次ID |
| data[].interviewInfo[].roundName | string | 面试轮次名称 |
| data[].interviewInfo[].roundEnglishName | string | 轮次英文名称 |
| data[].interviewInfo[].createAt | string | 面试创建时间 |
| data[].interviewInfo[].startTime | string | 面试开始时间 |
| data[].interviewInfo[].duration | integer | 面试时长 |
| data[].interviewInfo[].interviewArranger | object | 面试负责人 |
| data[].interviewInfo[].interviewArranger.name | string | 面试负责人姓名 |
| data[].interviewInfo[].interviewArranger.email | string | 面试负责人邮箱 |
| data[].interviewInfo[].interviewArranger.phone | string | 面试负责人手机号 |
| data[].interviewInfo[].interviewArranger.number | string | 面试负责人工号 |
| data[].interviewInfo[].interviewArranger.employeeId | string | 面试负责人工号2 |
| data[].interviewInfo[].satisfactionRecord | object | 面试满意度相关信息 |
| data[].interviewInfo[].satisfactionRecord.sendTime | string | 面试满意度评价表发送时间 |
| data[].interviewInfo[].satisfactionRecord.isAnonymous | Boolean | 是否匿名评价 |
| data[].interviewInfo[].satisfactionRecord.content | string | 评价内容 |
| data[].interviewInfo[].satisfactionRecord.satisfactionDimensions | array | 维度数组(面试过程 |
| data[].interviewInfo[].satisfactionRecord.satisfactionDimensions[].name | string | 维度名称 |
| data[].interviewInfo[].satisfactionRecord.satisfactionDimensions[].value | string | 维度对应值 |
| data[].interviewInfo[].interviewerFeedbacks | array | 面试官反馈列表 |
| data[].interviewInfo[].interviewerFeedbacks[].feedbackId | string | 面试反馈 id |
| data[].interviewInfo[].interviewerFeedbacks[].applicationId | string | 候选人 id |
| data[].interviewInfo[].interviewerFeedbacks[].interviewer | object | 面试官信息 |
| data[].interviewInfo[].interviewerFeedbacks[].interviewer.id | string | 面试官 id |
| data[].interviewInfo[].interviewerFeedbacks[].interviewer.name | string | 面试官姓名 |
| data[].interviewInfo[].interviewerFeedbacks[].interviewer.email | string | 面试官邮箱 |
| data[].interviewInfo[].interviewerFeedbacks[].interviewer.phone | string | 面试官手机号 |
| data[].interviewInfo[].interviewerFeedbacks[].interviewer.employeeId | string | 面试官工号2 |
| data[].interviewInfo[].interviewerFeedbacks[].interviewer.number | string | 面试官工号 |
| data[].interviewInfo[].interviewerFeedbacks[].resultName | string | 面试反馈结果 |
| data[].interviewInfo[].interviewerFeedbacks[].resultType | integer | 面试反馈结果类型 0: 不满意 1: 满意 |
| data[].interviewInfo[].interviewerFeedbacks[].feedback | string | 面试反馈内容 |
| data[].interviewInfo[].interviewerFeedbacks[].participated | string | 面试反馈分类 面试未进行, 已填写反馈, 未填写反馈 |
| data[].interviewInfo[].interviewerFeedbacks[].feedbackTime | string | 面试反馈时间 |
| data[].interviewInfo[].interviewerFeedbacks[].feedbackTemplateResult | array | 面试评价表的信息 |
| data[].interviewInfo[].interviewerFeedbacks[].feedbackTemplateResult[].name | string | 模块标题 |
| data[].interviewInfo[].interviewerFeedbacks[].feedbackTemplateResult[].description | string | 模块描述 |
| data[].interviewInfo[].interviewerFeedbacks[].feedbackTemplateResult[].score | string | 模块分数 |
| data[].interviewInfo[].interviewerFeedbacks[].feedbackTemplateResult[].calcScoreType | string | avg: 计算平均分, total: 计算总分 (只在type为1时有效) |
| data[].interviewInfo[].interviewerFeedbacks[].feedbackTemplateResult[].subjects | array | 模块下个小题的信息 |
| data[].interviewInfo[].interviewerFeedbacks[].feedbackTemplateResult[].subjects[].type | integer | 题目类型 可选值: 1:打分题 2: 单选题 3: 描述题 4: 多选题 |
| data[].interviewInfo[].interviewerFeedbacks[].feedbackTemplateResult[].subjects[].title | string | 小题标题 |
| data[].interviewInfo[].interviewerFeedbacks[].feedbackTemplateResult[].subjects[].description | string | 小题描述 |
| data[].interviewInfo[].interviewerFeedbacks[].feedbackTemplateResult[].subjects[].result | integer | 小题结果:打分题为所选分数的数值;单选题为选项的索引值,从0开始;描述题为描述的字符串;多选题为索引值数组. type=2单选题,返回值为 "result": 0,题目type=4多选题 返回值为"result": [1,2] |
| data[].interviewInfo[].interviewFeedbackUrl | string | 面试反馈汇总文件(仅包含候选人在该申请下所产生的面试反馈)下载链接,HTTP GET请求该URL即可下载面试反馈汇总文件,此链接有时效性,过期时间为1小时,需要收到请求后尽快下载在服务器保存 |
| data[].interviewInfo[].stageId | integer | 阶段 id |
| data[].interviewInfo[].cancelReason | string | 取消原因 |
| data[].shigongInfo | object | 试工信息 |
| data[].shigongInfo.applicationId | integer | 申请id |
| data[].shigongInfo.shigongs[] | array | 试工信息 |
| data[].shigongInfo.shigongs[].startTime | string | 试工开始时间 |
| data[].shigongInfo.shigongs[].endTime | string | 试工结束时间 |
| data[].shigongInfo.shigongs[].location | string | 试工地点 |
| data[].shigongInfo.shigongs[].manager | object | 试工负责人信息 |
| data[].shigongInfo.shigongs[].manager.name | string | 试工负责人姓名 |
| data[].shigongInfo.shigongs[].manager.email | string | 试工负责人邮箱 |
| data[].shigongInfo.shigongs[].manager.phone | string | 试工负责人手机号 |
| data[].shigongInfo.shigongs[].manager.number | string | 试工负责人工号 |
| data[].shigongInfo.shigongs[].manager.employeeId | string | 试工负责人工号2 |
| data[].shigongInfo.shigongs[].shigongStatus | string | 试工状态 未安排 待反馈 反馈满意 反馈不满意 |
| data[].shigongInfo.shigongs[].feedback | string | 试工反馈信息 |
| data[].shigongInfo.shigongs[].protocolStatus | string | 试工协议状态 |
| data[].shigongInfo.shigongs[].signStatus | string | 签到状态 |
| data[].examInfo | object | 考试信息 |
| data[].examInfo.applicationId | integer | 申请id |
| data[].examInfo.candidateId | long | 候选人id |
| data[].examInfo.exams[] | array | 考试测评信息 |
| data[].examInfo.exams[].name | string | 考试测评名称 |
| data[].examInfo.exams[].createTime | string | 考试发起时间 |
| data[].examInfo.exams[].type | string | 考试测评类型 exam evaluation |
| data[].examInfo.exams[].source | string | 考试测评服务商 |
| data[].examInfo.exams[].result | String | 考试测评结果 |
| data[].examInfo.exams[].detailResult | string | 考试测评详细结果 |
| data[].examInfo.exams[].comment | string | 测评备注 |
| data[].examInfo.exams[].examAttachments | array | 考试测评附件 |
| data[].examInfo.exams[].examAttachments[].attachmentName | string | 考试测评附件名称 |
| data[].examInfo.exams[].examAttachments[].attachmentUrl | string | 考试测评附件链接 |
| data[].examInfo.exams[].examAttachments[].jobId | string | 发起考试测评的职位id |
| data[].examInfo.exams[].examAttachments[].applicationId | string | 发起考试测评的申请ID |
| data[].examInfo.exams[].examAttachments[].result | string | 考试测评结果 |
| data[].examInfo.exams[].examAttachments[].detailResult | string | 考试测评详细结果 |
| data[].examInfo.exams[].reportLinks | array | 考试测评报告链接 |
| data[].examInfo.exams[].reportLinks[].applicationId | string | 发起考试测评的申请ID |
| data[].examInfo.exams[].reportLinks[].jobId | string | 发起考试测评的职位id |
| data[].examInfo.exams[].reportLinks[].name | string | 考试测评名称 |
| data[].examInfo.exams[].reportLinks[].reportLink | string | 考试测评报告链接 |
| data[].examInfo.exams[].reportLinks[].result | string | 考试测评结果 |
| data[].examInfo.exams[].reportLinks[].detailResult | string | 考试测评详细结果 |
| data[].examInfo.exams[].reportLinks[].type | string | 考试测评类型 exam或者evaluation |
| data[].examInfo.jobId | string | 职位ID |
| data[].examInfo.surveys[] | array | 背调信息 |
| data[].examInfo.surveys[].name | string | 背调名称 |
| data[].examInfo.surveys[].date | string | 背调日期 |
| data[].examInfo.surveys[].source | string | 背调服务商 |
| data[].examInfo.surveys[].result | string | 背调结果 |
| data[].examInfo.surveys[].attachmentUrl | string | 背调报告链接 |
| data[].examInfo.surveys[].comment | string | 背调备注 |
| data[].examInfo.surveys[].attachmentName | string | 背调附件名 |
| data[].examInfo.surveys[].attachments[] | array | 背调多附件(新版的单附件和多附件都在这个附件集合,原来的单附件结果只做历史兼容使用) |
| data[].examInfo.surveys[].attachments[].url | string | 背调报告链接 |
| data[].examInfo.surveys[].attachments[].attachmentName | string | 附件名称 |
| data[].customstyleAttachments | object | 自定义应聘登记表 |
| data[].customstyleAttachments.type | string | 附件类型固定doc |
| data[].customstyleAttachments.createTime | string | 时间字符串 |
| data[].customstyleAttachments.customFieldName | string | 自定义附件名称 |
| data[].customstyleAttachments.url | string | 附件下载地址 |
| data[].activities[] | array | 事件 |
| data[].activities[].applicationId | integer | 申请id |
| data[].activities[].operator | objet | 操作人信息 |
| data[].activities[].operator.name | string | 操作人姓名 |
| data[].activities[].operator.email | string | 操作人信息邮箱 |
| data[].activities[].operator.phone | string | 操作人信息手机号 |
| data[].activities[].operator.number | string | 操作人工号1 |
| data[].activities[].operator.employeeId | string | 操作人工号2 |
| data[].activities[].createAt | string | 事件发生时间 |
| data[].activities[].toStageId | integer | 移动后阶段id |
| data[].activities[].toStageName | string | 移动后阶段名称 |
| data[].activities[].fromStageId | integer | 移动前阶段id |
| data[].activities[].fromStageName | string | 移动前阶段名称 |
| data[].activities[].type | string | 日志类型 可选值: ADD_CANDIDATE: 添加候选人 MOVE_STAGE: 移动阶段 |
| data[].activities[].source | string | 申请来源 |
获取全部阶段下的候选人信息
本接口只返回基础信息,不会返回附件链接。
请求样例
$ curl https://api.mokahr.com/api-platform/v1/data/moved_applications
返回样例
[
{
"applicationId": 23191,
"candidateId": 12552,
"moved_at": "2019-01-25T10:25:36.000Z",
"name": "曹大帅",
"phone": "15013186607",
"email": "1170616425@qq.com",
"gender": "男",
"birthYear": 1991,
"birthDate": "2020-03-17T00:00:00.000Z",
"nationality": null,
"experience": 2,
"ethnic": null,
"citizenId": null,
"nativePlace": "",
"location": "湖北-武汉",
"source": "智联",
"sourceType": 2,
"academicDegree": "硕士",
"lastSpeciality": "人力资源管理",
"married": "未婚",
"jobCommitment": "全职",
"hireMode": 1,
"departmentCode": null,
"parentDepartmentCode": null,
"resumeKey": "1f0f3d5f-17d4-4e21-a135-a8dbb8648297.html",
"stageName": "用人部门筛选",
"stageType": 200,
"nativePlaceCode": null,
"nationalityCode": null,
"genderCode": 0,
"academicDegreeCode": 5,
"ethnicCode": null,
"job": {
"title": "5432154321543215432154321v543215432154321",
"department": null,
"departmentCode": null,
"parentDepartmentCode": null,
"competencyType": null,
"jobId": "ea932057-2637-4408-98a2-a3366b4ade14"
},
"jobManager": {
"name": "Moka小助手",
"email": "why947608878@163.com",
"phone": "18610778251",
"employeeId": "01"
},
"resumeUrl": "",
"educationInfo": [
{
"id": 35764,
"startDate": "2014-09",
"endDate": "2017-06",
"school": "长江大学",
"speciality": "农业经济管理",
"academicDegree": "硕士",
"startTime": 1409500800,
"endTime": 1496246400,
"now": false
},
{
"id": 35765,
"startDate": "2010-09",
"endDate": "2014-06",
"school": "长江大学",
"speciality": "人力资源管理",
"academicDegree": "本科",
"startTime": 1283270400,
"endTime": 1401552000,
"now": false
}
],
"experienceInfo": [],
"awardInfo": [],
"customFields": [],
"referrer": null,
"headcountInfo": [],
"jobRanksInfo": [],
"offer": null,
"projectInfo": [
{
"startDate": "2014-06",
"endDate": "2014-09",
"projectName": "土地流转确权工作",
"title": "",
"projectDescript": "1.了解荆州市农村人口占全市的比例。\r\n2.了解荆州市农村土地流转的面积。\r\n3.了解荆州市土地流转的模式。\r\n4.了解荆州市农村农户进行土体流转出现的问题和法律纠纷。\r\n5.整理相关文献资料,利用搜集到的土地流转资料撰写论文,总结分析出农户土地流转出现的问题,并找到其应对的措施。",
"responsibilities": "深入到农村基层,通过与农户的交谈和问卷调研方式,了解荆州市农村土地的流转情况,土地流转的面积、模式,考察荆州市农村居民土地流转出现的问题,以及它们的解决方式,另外考察当地政府对土地流转的支持力度。",
"startTime": 1401552000,
"endTime": 1409500800,
"now": false
}
],
"languageInfo": [],
"invitationUpdateStatus": 1
},
{
"applicationId": 44803,
"candidateId": 34339,
"moved_at": "2019-01-16T07:56:44.000Z",
"name": "张五",
"phone": "15811077349",
"email": "sgurr@163.com",
"gender": "男",
"birthYear": 1989,
"nationality": null,
"experience": null,
"ethnic": null,
"citizenId": null,
"nativePlace": "",
"location": null,
"source": "智联",
"sourceType": 1,
"academicDegree": "本科",
"lastSpeciality": "人力资源管理",
"married": null,
"jobCommitment": "全职",
"hireMode": 1,
"departmentCode": "1",
"parentDepartmentCode": null,
"resumeKey": null,
"stageName": "新增offer型阶段",
"stageType": "101",
"nativePlaceCode": null,
"nationalityCode": null,
"genderCode": 0,
"academicDegreeCode": 4,
"ethnicCode": null,
"job": {
"title": "qa",
"department": "马蜂窝",
"departmentCode": "1",
"parentDepartmentCode": null,
"competencyType": null,
"departmentPath": "马蜂窝",
"jobId": "ea932057-2637-4408-98a2-a3366b4ade14"
},
"jobManager": {
"name": "安涛",
"email": "antao@mokahr.com",
"phone": "15201314595",
"employeeId": "01"
},
"resumeUrl": "",
"educationInfo": [
{
"id": 37153,
"startDate": "",
"endDate": "",
"school": "收到回复看吧",
"speciality": "哈是的",
"academicDegree": "本科",
"startTime": null,
"endTime": null,
"now": false
}
],
"experienceInfo": [],
"awardInfo": [],
"customFields": [
{
"codes": "",
"name": "民族自定义",
"value": "维吾尔族",
"section": "basicInfo"
}
],
"referrer": null,
"headcountInfo": [
{
"id": 5,
"number": "3",
"name": "测试HC更新1"
}
],
"jobRanksInfo": [],
"offer": null,
"projectInfo": [],
"languageInfo": [],
"invitationUpdateStatus": 1
}
]
该接口将返回指定条件中所有阶段内的全部候选人信息 首次调用时,会返回指定阶段中所有候选人信息,然后标记候选人,标记后在候选人移动前将不能通过该接口获取到数据 后续如果该阶段中候选人移动,则可以重新获取到数据,每次最多返回100条数据
HTTP请求
GET https://api.mokahr.com/api-platform/v1/data/moved_applications
请求query
| 字段 | 必填 | 类型 | 描述 |
|---|---|---|---|
| stage | 否 | string | 申请归档前阶段名all:所有阶段preliminary_filter:初筛 offer:offer类型的阶段 pending_checkin:待入职阶段 filter:筛选型阶段interview:面试型阶段 exam:测试型阶段 none:无类型阶段 shigong:试工型阶段 |
| fromTime | 否 | string | 数据的开始时间 如2018-1-1 |
返回
| 字段 | 类型 | 描述 |
|---|---|---|
| candidateId | integer | 候选人在Moka中的唯一id |
| applicationId | integer | 候选人该申请在Moka中的唯一id |
| name | string | 姓名 |
| phone | string | 电话 |
| string | 邮箱 | |
| gender | string | 性别,以下值之一:男,女 |
| birthYear | integer | 出生年份,如1990 |
| birthDate | string | 出生日期 |
| ethnic | string | 民族 |
| certificateType | integer | 证件类型 可选值: 1:身份证2:香港身份证3:澳门身份证4:台湾身份证5:护照6:其他证件 7:港澳居民来往内地通行证8:台湾居民来往内地通行证9:外国人工作许可证10:外国人居留许可证 |
| citizenId | string | 证件号码 |
| nationality | string | 国籍 |
| nativePlace | string | 籍贯 |
| hireMode | integer | 招聘模式 可选值: 1: 社招2: 校招 |
| source | string | 渠道,如拉勾 |
| sourceType | integer | 来源 可选值: 1:主动搜索,2:主动投递,3:人才推荐 |
| stageName | string | 所在阶段名称 |
| stageType | number | 所在阶段类型 可选值: 100 :初筛101 :Offer型102 :待入职200 :筛选型201 :面试型202: 测试型205 :无类型206 :试工型 |
| location | string | 所在地,如北京 |
| academicDegree | string | 最高学历 可选值: 本科,硕士,博士,高中,大专,中专,MBA,其他 |
| married | string | 婚姻状态 可选值 '已婚', '未婚', '离异', '丧偶', 'CIVILUNION', 'COHABITATING', 'MARRIED', 'DIVORCED', 'ENGAGED', 'SEPARATED', 'SINGLE', 'WIDOWED' |
| nativePlaceCode | integer | 籍贯编码(籍贯为空时为null,编码详情见附件) |
| nationalityCode | integer | 国籍编码(国籍为空时为null,编码详情见附件) |
| genderCode | integer | 性别编码(性别为空时为null,编码详情见附件) |
| academicDegreeCode | integer | 学历编码(学历为空时为null,编码详情见附件) |
| ethnicCode | integer | 民族编码(民族为空时为null,编码详情见附件) |
| educationInfo[] | array | 教育经历 |
| educationInfo[].startDate | string | 学校开始时间,最多精确到月。如2010-09, 2008 |
| educationInfo[].endDate | string | 学校结束时间,最多精确到月。如2010-09, 2008 |
| educationInfo[].now | boolean | 标识结束时间是否为“至今”。当结束时间为至今时,now=true,此时endDate的值将可能为任意值,直接忽略endDate即可 |
| educationInfo[].school | string | 学校名称 |
| educationInfo[].speciality | string | 专业 |
| educationInfo[].academicDegree | string | 学历 可选值: 本科,硕士,博士,高中,大专,中专,MBA,其他 |
| experienceInfo[] | array | 工作经历 |
| experienceInfo[].startDate | string | 工作开始时间,最多精确到月。如2010-09, 2008 |
| experienceInfo[].endDate | string | 工作结束时间,最多精确到月。如2010-09, 2008 |
| experienceInfo[].now | boolean | 标识结束时间是否为“至今”。当结束时间为至今时,now=true,此时endDate的值将可能为任意值,直接忽略endDate即可 |
| experienceInfo[].company | string | 公司名称 |
| experienceInfo[].title | string | 职位名称 |
| experienceInfo[].summary | string | 工作职责 |
| experienceInfo[].reasonForLeaving | string | 离职原因 |
| experienceInfo[].underlingNumber | string | 下属人数 |
| awardInfo[] | array | 获奖经历 |
| awardInfo[].awardDate | datetime | 获奖时间 |
| awardInfo[].awardName | string | 获奖名称 |
| job | object | 应聘职位信息 |
| job.title | string | 职位名称 |
| job.department | string | 职位所在部门 |
| job.departmentPath | string | 职位所在部门的完整路径,从上级到下级,以/分割 |
| job.departmentCode | string | 部门code |
| job.parentDepartmentCode | string | 父级部门code |
| job.competencyType | string | 职能类型 |
| job.customFields | array | job自定义字段 |
| job.customFields[].name | string | job自定义字段名称 |
| job.customFields[].value | string | job自定义字段值 |
| ehrCustomFields[] | array | ehr自定义导出字段集合 |
| referrer | object | 推荐人信息 |
| referrer.name | string | 推荐人姓名 |
| referrer.email | string | 推荐人邮箱 |
| referrer.phone | string | 推荐人电话 |
| jobRanksInfo[].name | string | 职位级别名称 |
| jobRanksInfo[].type | string | 职位级别类型 |
| jobRanksInfo[].level | string | 职位级别等级 |
| headcountInfo[].id | number | Headcount ID |
| headcountInfo[].number | string | Headcount 编号 |
| headcountInfo[].name | string | Headcount 名称 |
| customFields[] | array | 候选人自定义字段,仅包含标准简历中设置的自定义字段 |
| customFields[].name | string | 自定义字段名称 |
| customFields[].value | string | 自定义字段值。对于是否题类型 可选值: 1:是0:否。 |
| customFields[].now | boolean | 当自定义字段是时间段时存在该字段,标识结束时间是否为“至今”。结束时间为至今时,now=true,此时endDate的值将可能为任意值,直接忽略endDate即可 |
| customFields[].section | string | 自定义字段所在的模块名称,模块可以是内置模块(如experienceInfo)或者自定义模块(如紧急联系人) |
| customFields[].index | string | 对于experienceInfo、educationInfo或者自定义模块(如紧急联系人)等存在多条数据的模块,index表示这个字段是第几条数据的自定义字段信息 |
| customFields[].codes | string | 选择题自定义code(仅对有code的选择题生效) |
| offer | object | offer信息 |
| offer.salaryNumber | number | 薪资待遇 |
| offer.checkinDate | string | 入职日期 |
| offer.location | string | 入职后工作地 |
| offer.creator | object | offer创建人信息 |
| offer.creator.name | string | offer创建人姓名 |
| offer.creator.email | string | offer创建人邮箱 |
| offer.finishedAt | string | offer接受时间。日期格式为:ISO8601 |
| offer.customFields | array | offer自定义字段 |
| offer.customFields[].name | string | offer自定义字段名称 |
| offer.customFields[].value | string | offer自定义字段值 |
| offer.departmentName | string | 入职部门名称 |
| offer.departmentCode | number | 入职部门code |
| offer.parentDepartmentCode | number | 入职部门上级部门code |
| offer.departmentPath | string | 入职部门完整路径 |
| offer.offerLastSentAt | string | 末次发送offer时间 |
| projectInfo | array | 项目经验 |
| projectInfo[].startDate | string | 项目开始时间,最多精确到月。如2010-09, 2008 |
| projectInfo[].endDate | string | 项目结束时间,最多精确到月。如2010-09, 2008 |
| projectInfo[].projectName | string | 项目名称 |
| projectInfo[].title | string | 担任> 职责 |
| projectInfo[].projectDescript | string | 项目描述 |
| projectInfo[].responsibilities | string | 项目中职责 |
| projectInfo[].now | boolean | 标识结束时间是否为“至今”。当结束时间为至今时,now=true,此时endDate的值将可能为任意值,直接忽略endDate即可 |
| languageInfo | array | 语言能力 |
| languageInfo[].language | string | 语言类型 |
| languageInfo[].level | string | 掌握程度 |
| languageInfo[].listenAndSpeak | string | 听说能力 |
| languageInfo[].readAndWrite | string | 读写能力 |
| invitationUpdateStatus | integer | 邀请更新状态 可选值: 0:未邀请 1:未更新 2:已更新 |
获取全部阶段下的候选人信息(分页)
请求样例
$ curl https://api.mokahr.com/api-platform/v1/data/movedApplications
返回样例
{
"next":"2019-01-16T07:56:44.000Z_44803",
"data":[
{
"applicationId": 23191,
"candidateId": 12552,
"moved_at": "2019-01-25T10:25:36.000Z",
"name": "曹大帅",
"phone": "15013186607",
"email": "1170616425@qq.com",
"gender": "男",
"birthYear": 1991,
"nationality": null,
"experience": 2,
"ethnic": null,
"citizenId": null,
"nativePlace": "",
"location": "湖北-武汉",
"source": "智联",
"sourceType": 2,
"academicDegree": "硕士",
"lastSpeciality": "人力资源管理",
"married": "未婚",
"jobCommitment": "全职",
"hireMode": 1,
"departmentCode": null,
"parentDepartmentCode": null,
"resumeKey": "1f0f3d5f-17d4-4e21-a135-a8dbb8648297.html",
"stageName": "用人部门筛选",
"stageType": 200,
"nativePlaceCode": null,
"nationalityCode": null,
"genderCode": 0,
"academicDegreeCode": 5,
"ethnicCode": null,
"job": {
"title": "5432154321543215432154321v543215432154321",
"department": null,
"departmentCode": null,
"parentDepartmentCode": null,
"competencyType": null,
"jobId": "ea932057-2637-4408-98a2-a3366b4ade14"
},
"jobManager": {
"name": "Moka小助手",
"email": "why947608878@163.com",
"phone": "18610778251",
"employeeId": "01"
},
"resumeUrl": "",
"educationInfo": [
{
"id": 35764,
"startDate": "2014-09",
"endDate": "2017-06",
"school": "长江大学",
"speciality": "农业经济管理",
"academicDegree": "硕士",
"startTime": 1409500800,
"endTime": 1496246400,
"now": false
},
{
"id": 35765,
"startDate": "2010-09",
"endDate": "2014-06",
"school": "长江大学",
"speciality": "人力资源管理",
"academicDegree": "本科",
"startTime": 1283270400,
"endTime": 1401552000,
"now": false
}
],
"experienceInfo": [],
"awardInfo": [],
"customFields": [],
"referrer": null,
"headcountInfo": [],
"jobRanksInfo": [],
"offer": null,
"projectInfo": [
{
"startDate": "2014-06",
"endDate": "2014-09",
"projectName": "土地流转确权工作",
"title": "",
"projectDescript": "1.了解荆州市农村人口占全市的比例。\r\n2.了解荆州市农村土地流转的面积。\r\n3.了解荆州市土地流转的模式。\r\n4.了解荆州市农村农户进行土体流转出现的问题和法律纠纷。\r\n5.整理相关文献资料,利用搜集到的土地流转资料撰写论文,总结分析出农户土地流转出现的问题,并找到其应对的措施。",
"responsibilities": "深入到农村基层,通过与农户的交谈和问卷调研方式,了解荆州市农村土地的流转情况,土地流转的面积、模式,考察荆州市农村居民土地流转出现的问题,以及它们的解决方式,另外考察当地政府对土地流转的支持力度。",
"startTime": 1401552000,
"endTime": 1409500800,
"now": false
}
],
"languageInfo": []
},
{
"applicationId": 44803,
"candidateId": 34339,
"moved_at": "2019-01-16T07:56:44.000Z",
"name": "张五",
"phone": "15811077349",
"email": "sgurr@163.com",
"gender": "男",
"birthYear": 1989,
"nationality": null,
"experience": null,
"ethnic": null,
"citizenId": null,
"nativePlace": "",
"location": null,
"source": "智联",
"sourceType": 1,
"academicDegree": "本科",
"lastSpeciality": "人力资源管理",
"married": null,
"jobCommitment": "全职",
"hireMode": 1,
"departmentCode": "1",
"parentDepartmentCode": null,
"resumeKey": null,
"stageName": "新增offer型阶段",
"stageType": "101",
"nativePlaceCode": null,
"nationalityCode": null,
"genderCode": 0,
"academicDegreeCode": 4,
"ethnicCode": null,
"job": {
"title": "qa",
"department": "马蜂窝",
"departmentCode": "1",
"parentDepartmentCode": null,
"competencyType": null,
"departmentPath": "马蜂窝",
"jobId": "ea932057-2637-4408-98a2-a3366b4ade14",
"customFields": [
{
"name": "职位-年月",
"value": "2019-01"
}
]
},
"jobManager": {
"name": "安涛",
"email": "antao@mokahr.com",
"phone": "15201314595",
"employeeId": "01"
},
"resumeUrl": "",
"educationInfo": [
{
"id": 37153,
"startDate": "",
"endDate": "",
"school": "收到回复看吧",
"speciality": "哈是的",
"academicDegree": "本科",
"startTime": null,
"endTime": null,
"now": false
}
],
"experienceInfo": [],
"awardInfo": [],
"customFields": [
{
"codes": "",
"name": "民族自定义",
"value": "维吾尔族",
"section": "basicInfo"
}
],
"referrer": null,
"headcountInfo": [
{
"id": 5,
"number": "3",
"name": "测试HC更新1"
}
],
"jobRanksInfo": [],
"offer": null,
"projectInfo": [],
"languageInfo": []
}
]
}
该接口将返回指定条件中所有阶段内的全部候选人信息
HTTP请求
GET https://api.mokahr.com/api-platform/v1/data/movedApplications
请求query
| 字段 | 必填 | 类型 | 描述 |
|---|---|---|---|
| stage | 否 | string | 申请归档前阶段名all:所有阶段preliminary_filter:初筛 offer:offer类型的阶段 pending_checkin:待入职阶段 filter:筛选型阶段interview:面试型阶段 exam:测试型阶段 none:无类型阶段 shigong:试工型阶段 |
| fromTime | 是 | string | 数据的开始时间,fromTime参数只在第一次请求时带,之后的请求就不需要带了,也就是next和fromTime只需要带其中一个。 如2018-1-1 ASC 由该时间往新数据查询 |
| next | 是 | string | 分页参数,如果有更多的数据可供拉取,响应的json中会有一个next字段,下次请求只需要把这个next参数加到query中就可以了。fromTime参数只在第一次请求时带,之后的请求就不需要带了,也就是next和fromTime只需要带其中一个。如果响应中没有next字段,表示没有更多的数据了 |
| reqType | 否 | string | all:全量,忽略标记,全部返回给调用方 update:更新和变量(默认),每次请求会将未标记的数据返回给调用方,并标记返回数据 |
| limit | 否 | string | 分页用的每页条数,默认20,最大20 |
返回
| 字段 | 类型 | 描述 |
|---|---|---|
| candidateId | integer | 候选人在Moka中的唯一id |
| applicationId | integer | 候选人该申请在Moka中的唯一id |
| name | string | 姓名 |
| phone | string | 电话 |
| string | 邮箱 | |
| gender | string | 性别,以下值之一:男,女 |
| birthYear | integer | 出生年份,如1990 |
| birthDate | string | 出生日期 |
| ethnic | string | 民族 |
| certificateType | integer | 证件类型 可选值: 1:身份证2:香港身份证3:澳门身份证4:台湾身份证5:护照6:其他证件 7:港澳居民来往内地通行证8:台湾居民来往内地通行证9:外国人工作许可证10:外国人居留许可证 |
| citizenId | string | 证件号码 |
| nationality | string | 国籍 |
| nativePlace | string | 籍贯 |
| hireMode | integer | 招聘模式 可选值 1: 社招2: 校招 |
| source | string | 渠道,如拉勾 |
| sourceType | integer | 来源 可选值: 1:主动搜索,2:主动投递,3:人才推荐 |
| stageName | string | 所在阶段名称 |
| stageType | number | 所在阶段类型 可选值: 100 :初筛101 :Offer型102 :待入职200 :筛选型201 :面试型202: 测试型205 :无类型206 :试工型 |
| location | string | 所在地,如北京 |
| academicDegree | string | 最高学历 可选值: 本科,硕士,博士,高中,大专,中专,MBA,其他 |
| married | string | 婚姻状态 可选值: '已婚', '未婚', '离异', '丧偶', 'CIVILUNION', 'COHABITATING', 'MARRIED', 'DIVORCED', 'ENGAGED', 'SEPARATED', 'SINGLE', 'WIDOWED' |
| nativePlaceCode | integer | 籍贯编码(籍贯为空时为null,编码详情见附件) |
| nationalityCode | integer | 国籍编码(国籍为空时为null,编码详情见附件) |
| genderCode | integer | 性别编码(性别为空时为null,编码详情见附件) |
| academicDegreeCode | integer | 学历编码(学历为空时为null,编码详情见附件) |
| ethnicCode | integer | 民族编码(民族为空时为null,编码详情见附件) |
| educationInfo[] | array | 教育经历 |
| educationInfo[].startDate | string | 学校开始时间,最多精确到月。如2010-09, 2008 |
| educationInfo[].endDate | string | 学校结束时间,最多精确到月。如2010-09, 2008 |
| educationInfo[].now | boolean | 标识结束时间是否为“至今”。当结束时间为至今时,now=true,此时endDate的值将可能为任意值,直接忽略endDate即可 |
| educationInfo[].school | string | 学校名称 |
| educationInfo[].speciality | string | 专业 |
| educationInfo[].academicDegree | string | 学历 可选值: 本科,硕士,博士,高中,大专,中专,MBA,其他 |
| experienceInfo[] | array | 工作经历 |
| experienceInfo[].startDate | string | 工作开始时间,最多精确到月。如2010-09, 2008 |
| experienceInfo[].endDate | string | 工作结束时间,最多精确到月。如2010-09, 2008 |
| experienceInfo[].now | boolean | 标识结束时间是否为“至今”。当结束时间为至今时,now=true,此时endDate的值将可能为任意值,直接忽略endDate即可 |
| experienceInfo[].company | string | 公司名称 |
| experienceInfo[].title | string | 职位名称 |
| experienceInfo[].summary | string | 工作职责 |
| experienceInfo[].reasonForLeaving | string | 离职原因 |
| experienceInfo[].underlingNumber | string | 下属人数 |
| awardInfo[] | array | 获奖经历 |
| awardInfo[].awardDate | datetime | 获奖时间 |
| awardInfo[].awardName | string | 获奖名称 |
| job | object | 应聘职位信息 |
| job.title | string | 职位名称 |
| job.department | string | 职位所在部门 |
| job.departmentPath | string | 职位所在部门的完整路径,从上级到下级,以/分割 |
| job.departmentCode | string | 部门code |
| job.parentDepartmentCode | string | 父级部门code |
| job.competencyType | string | 职能类型 |
| job.customFields | array | job自定义字段 |
| job.customFields[].name | string | job自定义字段名称 |
| job.customFields[].value | string | job自定义字段值 |
| ehrCustomFields[] | array | ehr自定义导出字段集合 |
| idCardFrontList | array | 上传身份证照片(人像面) |
| idCardBackList | string | 上传身份证照片(国徽面) |
| idCardSignOrganization | string | 身份证签发机关 |
| idCardValidity | string | 证件有效期 |
| customAttachmentList | obj | 候选人标准简历的所有附件 |
| customAttachmentList.customUpload+customId | array | 候选人标准简历的附件的key由customUpload(固定字符串)+customId组成 |
| customAttachmentList.customUpload+customId[].attachmentName | string | 附件名称 |
| customAttachmentList.customUpload+customId[].attachmentSize | number | 附件大小(byte) |
| customAttachmentList.customUpload+customId[].candidateId | number | 候选人id |
| customAttachmentList.customUpload+customId[].customId | number | 自定义字段id |
| customAttachmentList.customUpload+customId[].downloadUrl | string | 下载地址24小时失效 |
| customAttachmentList.customUpload+customId[].createdAt | string | 附件创建时间(时间戳格式) |
| referrer | object | 推荐人信息 |
| referrer.name | string | 推荐人姓名 |
| referrer.email | string | 推荐人邮箱 |
| referrer.phone | string | 推荐人电话 |
| jobRanksInfo[].name | string | 职位级别名称 |
| jobRanksInfo[].type | string | 职位级别类型 |
| jobRanksInfo[].level | string | 职位级别等级 |
| headcountInfo[].id | number | Headcount ID |
| headcountInfo[].number | string | Headcount 编号 |
| headcountInfo[].name | string | Headcount 名称 |
| customFields[] | array | 候选人自定义字段,仅包含标准简历中设置的自定义字段 |
| customFields[].name | string | 自定义字段名称 |
| customFields[].value | string | 自定义字段值。对于是否题类型 可选值: 1:是0:否。 |
| customFields[].now | boolean | |
| customFields[].section | string | 自定义字段所在的模块名称,模块可以是内置模块(如experienceInfo)或者自定义模块(如紧急联系人) |
| customFields[].index | string | 对于experienceInfo、educationInfo或者自定义模块(如紧急联系人)等存在多条数据的模块,index表示这个字段是第几条数据的自定义字段信息 |
| customFields[].codes | string | 选择题自定义code(仅对有code的选择题生效) |
| offer | object | offer信息 |
| offer.salaryNumber | number | 薪资待遇 |
| offer.checkinDate | string | 入职日期 |
| offer.location | string | 入职后工作地 |
| offer.creator | object | offer创建人信息 |
| offer.creator.name | string | offer创建人姓名 |
| offer.creator.email | string | offer创建人邮箱 |
| offer.finishedAt | string | offer接受时间。日期格式为:ISO8601 |
| offer.customFields | array | offer自定义字段 |
| offer.customFields[].name | string | offer自定义字段名称 |
| offer.customFields[].value | string | offer自定义字段值 |
| offer.departmentName | string | 入职部门名称 |
| offer.departmentCode | number | 入职部门code |
| offer.parentDepartmentCode | number | 入职部门上级部门code |
| offer.departmentPath | string | 入职部门完整路径 |
| offer.offerLastSentAt | string | 末次发送offer时间 |
| projectInfo | array | 项目经验 |
| projectInfo[].startDate | string | 项目开始时间,最多精确到月。如2010-09, 2008 |
| projectInfo[].endDate | string | 项目结束时间,最多精确到月。如2010-09, 2008 |
| projectInfo[].projectName | string | 项目名称 |
| projectInfo[].title | string | 担任> 职责 |
| projectInfo[].projectDescript | string | 项目描述 |
| projectInfo[].responsibilities | string | 项目中职责 |
| projectInfo[].now | boolean | 标识结束时间是否为“至今”。当结束时间为至今时,now=true,此时endDate的值将可能为任意值,直接忽略endDate即可 |
| languageInfo | array | 语言能力 |
| languageInfo[].language | string | 语言类型 |
| languageInfo[].level | string | 掌握程度 |
| languageInfo[].listenAndSpeak | string | 听说能力 |
| languageInfo[].readAndWrite | string | 读写能力 |
| invitationUpdateStatus | integer | 邀请更新状态 可选值: 0:未邀请 1:未更新2:已更新 |
组织架构API
组织架构相关API
组织架构全量同步
Moka 系统中会根据请求的列表对当前系统中的部门进行同步(新增,更新,标记删除)。
同步以department_code为主键,与系统中部门department_code进行对比,允许不同的department_code下同步同名组织:
1、当前系统没有,同步时有:新增一个部门
2、当前系统有,同步时也有:更新已经存在的部门信息。如果同步时有,当前系统部门状态标识为删除,更新后,状态改为正常。
3、当前系统有,同步时没有时:部门打标已删除,需要手动进入 Moka 系统中将该部门合并到其他部门进行删除。
HTTP 请求
PUT https://api.mokahr.com/api-platform/v1/departments
请求样例
$curl --location --request PUT 'https://api-staging003.mokahr.com/api-platform/v1/departments' \
--header 'Authorization: Basic Vl*********8*888888*' \
--header 'Content-Type: application/json' \
--data-raw '[
{
"sequence": 1.68,
"parent_code": "",
"department_code": "110",
"name": "api测试"
},
{
"sequence": 0.92,
"parent_code": "",
"department_code": "112",
"name": "api测试2",
"type": 1
},
{
"sequence": 0.06,
"department_code": "120",
"name": "技术支持测试",
"parent_code": "110",
"type": 1
}
]'
操作成功
{
"success": true,
"result": {
"new": 0,
"delete": 0,
"update": 0
}
}
操作失败
{
"success": false,
"errorMessage": "错误信息"
}
请求body参数
| 字段 | 必填 | 类型 | 描述 |
|---|---|---|---|
| name | 是 | string | 部门名称 |
| department_code | 是 | string | 客户系统的部门id |
| parent_code | 是 | string | 部门的上级部门的唯一 id, 如为 null 则为一级部门 |
| type | 否 | number | 部门类型: 可选值: 1: 普通部门(默认)2:门店部门(门店的名称和组织架构内的门店类部门名称一致则会关联对应同名门店) |
| sequence | 否 | number | 指定部门排序 数据范围:支持0至10000之间的数,精确到两位小数。 规则:排序按照数字从小到大,相同数字按照创建时间从先到后,该值为空默认排在最后。 |
可能的错误信息
| errorMessage | 描述 |
|---|---|
| 部门 ID 重复 | 请求列表中有重复使用的 department_code |
| 部门重复 | 请求列表中有相同父级部门,名称的部门 |
| 父级部门未找到 | 部门的父级部门未在列表中找到 |
| 部门的父级部门不能直接(间接)为自身 | 部门的父级部门(的父级部门...)不能为自身 |
新增组织架构
新增组织架构,不允许同步任何同名组织,无论该组织是否在同一个department_code下。
注意:组织架构增量同步必须使用POST请求,如果使用PUT请求,为全量同步,请求中未提供的部门,部门将标记为已删除。
HTTP请求
POST https://api.mokahr.com/api-platform/v1/departments/sync/incremental
请求样例
$ curl 'https://api.mokahr.com/api-platform/v1/departments/sync/incremental' \
-u 'your_api-keys:' \
-X POST \
-d '[
{ "department_code": "ididid1", "name": "namenamename1", "parent_code": "ididid1", "sequence": 0 },
{ "department_code": "ididid2", "name": "namenamename2", "parent_code": "ididid2" },
{ "department_code": "ididid2", "name": "部门2", "parent_code": "ididid2", "type": 2 },
]'
操作成功
{
"success": true
}
操作失败
{
"success": false,
"errorMessage": "错误信息"
}
请求body参数
| 字段 | 必填 | 类型 | 描述 |
|---|---|---|---|
| name | 是 | string | 部门名称 |
| department_code | 是 | string | 客户系统的部门id |
| parent_code | 是 | string | 上级部门的唯一 id, 如为 null 则为一级部门 |
| type | 否 | number | 部门类型: 可选值: 1: 普通部门(默认)2:门店部门 |
| sequence | 否 | number | 指定部门排序 数据范围:支持0至10000之间的数组,精确到两位小数。 规则:排序按照数字从小到大,相同数字按照创建时间从先到后,该值为空默认排在最后。 |
返回字段
| 字段 | 类型 | 描述 |
|---|---|---|
| success | boolean | 操作是否成功 可选值: true:成功false:失败 |
| errorMessage | string | 操作失败的错误原因 |
可能的错误信息
| errorMessage | 描述 |
|---|---|
| 当前有未处理完的组织架构更新,请稍后再试 | |
| 部门名称: XXX, 编号XXX的部门编号重复 | 请求列表中存在重复部门数据或者请求列表中存在于已同步至系统的部门中存在重复 |
| 父级部门未找到 | 部门的父级部门未在列表中找到 |
| 部门的父级部门不能直接(间接)为自身 | 部门的父级部门(的父级部门...)不能为自身 |
| 部门名称XXX,父编号XXX的部门名称已存在 | 某部门下存在相同名称的部门 |
| ... |
更新组织架构
对指定部门更新组织架构信息 注意: 以department_code为主键进行更新,如果需要更新department_code时,需要传入department_id,将以department_id为主键更新department_code。
HTTP请求
POST https://api.mokahr.com/api-platform/v1/departments
请求样例
curl 'https://api.mokahr.com/api-platform/v1/departments' \
-X POST \
-u 'your_api_keys' \
-d '[
{
"department_code": "ididid111123",
"name": "namenamename1221",
"parent_code": null,
"sequence": 0
},
{
"department_code": "ididid211123",
"name": "namenamename21_testhema",
"parent_code": "ididid31112"
},
{
"department_code": "ididid311123",
"name": "namenamename222test_hema",
"parent_code": "huangtiandi",
"type": 2,
"department_id": 387
}
]'
操作成功
{
"code": 0,
"msg": "成功",
"success": true,
"errorMessage": "",
"data": {}
}
操作失败
{
"code": 625011,
"msg": "department_code(3213232888)在系统中已存在",
"success": false,
"errorMessage": "department_code(323232888)在系统中已存在",
"data": {}
}
请求body参数
| 字段 | 必填 | 类型 | 描述 |
|---|---|---|---|
| name | 是 | string | 部门名称 |
| department_code | 是 | string | 客户系统的部门id |
| parent_code | 是 | string | 上级部门的唯一 id, 如为 null 则为一级部门 |
| type | 否 | number | 部门类型: 可选值: 1:普通部门(默认)2:门店部门 |
| department_id | 否 | number | 部门在Moka系统中的id,此参数存在时,会优先匹配该参数的部门。 |
| sequence | 否 | number | 指定部门排序,支持0至10000的两位小数,为空默认排在最后。按排序从小到大,创建时间从先到后排序 |
返回json字段
| 字段 | 类型 | 描述 |
|---|---|---|
| success | boolean | 操作是否成功 |
| errorMessage | string | 操作失败的错误原因 |
可能的错误信息
| errorMessage | 描述 |
|---|---|
| 当前有未处理完的组织架构更新,请稍后再试 | |
| 部门名称: XXX, 编号XXX的部门编号重复 | 请求列表中存在重复部门数据或者请求列表中存在于已同步至系统的部门中存在重复 |
| 父级部门未找到 | 部门的父级部门未在列表中找到 |
| 部门的父级部门不能直接(间接)为自身 | 部门的父级部门(的父级部门...)不能为自身 |
| 部门名称XXX,父编号XXX的部门名称已存在 | 某部门下存在相同名称的部门 |
| ... |